<?php

$rootdir='../..';
$offset="$rootdir/includes/";
require_once("$offset/class.pm_common.inc");
require_once("$rootdir/classes/common.php");
require_once("$rootdir/classes/DBConnection.php");

$pm_common = new PM_Common;
if ($pm_common->check_login($system_user_id, $system_user_group_id ) != $secure_check
	|| $system_user_group_id != 1) {
  $error = new Error_Management;
  $error->error_page(1,'');
  die();
}

$title = 'Di&auml;tens&auml;tze';
$url = 'dailyAllowance.php';

PM_Common::top(i18n($title));

$data->tableName = 'DailyAllowance';
$data->keyName = 'DailyAllowance_ID';
$data->orderBy = 'DailyAllowance_Name';
$keyName = $data->keyName;

$col = &$data->columns[];
$col->name = 'DailyAllowance_Name';
$col->title = 'Bezeichnung';
$col = &$data->columns[];
$col->name = 'Amount';
$col->title = 'Betrag';
$col->postprocess = 'fmtAmount';
$col->td = 'align="right"';
$col->input = 'align="right"';
$col = &$data->columns[];
$col->name = 'Status';
$col->title = 'Status';
$col->enum['A'] = 'aktiv';
$col->enum['N'] = 'nicht aktiv';
unset($col);

function fmtAmount(&$amount) {
	$amount = strtr($amount, ',', '.');
}

if($save) {
	if($key) {
		$sql = "update $data->tableName set ";
		$params = array();
		foreach($data->columns as $col) {
			$colName = $col->name;
			$sql .= ($params ? ',' : '')."$colName=?";
			$colPostprocess = $col->postprocess;
			if($colPostprocess) {
				$colPostprocess($$colName);
			}
			$params[] = $$colName;
		}
		$sql .= " where $keyName=?";
		$params[] = $key;
	} else {
		$colList = "";
		$qmList = "";
		$params = array();
		foreach($data->columns as $col) {
			$colName = $col->name;
			$colList .= ($params ? ',' : '').$colName;
			$qmList .= ($params ? ',?' : '?');
			$colPostprocess = $col->postprocess;
			if($colPostprocess) {
				$colPostprocess($$colName);
			}
			$params[] = $$colName;
		}
		$sql = "insert into $data->tableName($colList) values ($qmList)";
	}
	$conn = DBConnection();
	$stmt = &$conn->prepare($sql);
	$ok = $conn->execute($stmt, $params);
	$conn->disconnect();
}
if($action == 'delete') {
	$conn = DBConnection();
	$stmt = &$conn->prepare("delete from $data->tableName where $data->keyName=?");
	$ok = $conn->execute($stmt, array($key));
	$conn->disconnect();
}
if($action != 'edit') {
	$key=NULL;
}	

if(DB::isError($ok)) {
	echo('<!-- '.$ok->getUserInfo().' -->');	
}

$conn = DBConnection();
$conn->setFetchMode(DB_FETCHMODE_OBJECT);
$data->rows =  &$conn->getAll("select * from $data->tableName order by $data->orderBy");
$conn->disconnect();

function tr_attribute() {
	static $tr_color=true;
	$tr_color = ! $tr_color;
	return $tr_color ? 'class="bg_color"' : '';
}

function displayRow($row) {
	global $data;
	global $keyName;
?>
	<tr <?= tr_attribute() ?>>
		<?php
		foreach($data->columns as $col) {
			$colName = $col->name;
		?>
		<td <?= $col->td ?>><?= $col->enum ? $col->enum[$row->$colName] : $row->$colName ?></td>
		<?php
		}
		?>
		<td nowrap="y">
		<?php if(! $key) { ?>
			<input class="buttonstyle" type="button" value="<?= i18n('Bearbeiten') ?>" onclick="location.href='?action=edit&key=<?= $row->$keyName ?>'">
			<input class="buttonstyle" type="button" value="<?= i18n('L&ouml;schen') ?>" onclick="location.href='?action=delete&key=<?= $row->$keyName ?>'">
		<?php } ?>
		</td>
	<tr>
<?php
}

function editRow($row) {
	global $data;
	global $keyName;
	global $url;
?>
	<tr <?= tr_attribute() ?>>
	<form action="<?= $url ?>" method="post">
		<input type="hidden" name="key" value="<?= $row->$keyName ?>"/> 
		<?php
		foreach($data->columns as $col) {
			$colName = $col->name;
		?>
		<td <?= $col->td ?>>
			<?php
			if($col->enum) {
			?>
			<select name="<?= $colName ?>">
				<?php
				foreach($col->enum as $value=>$text) {
				?>
				<option
					value="<?= $value ?>"
					<?php if($value==$row->$colName) { ?>selected="selected" <?php } ?>
				><?= $text ?></option>
				<?php
				}
				?>
			</select>
			<?php
			} else {
			?>
			<input <?= $col->input ?> type="text" name="<?= $colName ?>" value="<?= $row->$colName ?>" /">
			<?php
			}
			?>
		</td>
		<?php
		}
		?>
		</td>
		<td nowrap="y">
			<input class="buttonstyle" type="submit" name="save" value="<?= i18n('Speichern') ?>"/>
			<?php if($row) { ?>
			<input class="buttonstyle" type="submit" value="<?= i18n('Abbrechen') ?>"/>
			<?php } ?>
		</td>
	</form>
	</tr>
<?php
}
?>

<table cellspacing="1" cellpadding="2" border="0" width="100%">
	<tr>
		<?php
		foreach($data->columns as $col) {
		?>
		<th align="left"><?= i18n($col->title) ?></th>
		<?php
		}
		?>
		<th width="1%"><?= i18n('Aktion') ?></th>
	</tr>
	<?php
	foreach($data->rows as $row) {
		if($row->$keyName == $key) {
			editRow($row);
		} else {
			displayRow($row);
		}
	}
	if(! $key) {
		editRow(NULL);
	}
	?>
</table>
