<?php

require_once("$rootdir/classes/DBConnection.php");

class Performance extends DB_Row {

	function &query(&$criteria) {
		if(! $criteria->deactivatedFlag) {
			$where[] = 'P.Status=\'A\'';
		}
		if($criteria->beginDate && $criteria->endDate) {
			$where[] = 'P.WorkDate between ? and ?';
			$param[] = $criteria->beginDate;
			$param[] = $criteria->endDate;
		}
		if($criteria->Project_ID) {
			if($criteria->subProjectFlag) {
				global $rootdir;
				require_once("$rootdir/classes/Project.class.php");
				$project = &Project::get($criteria->Project_ID);
				$where[] = 'PA.Project_ID in ('.implode(',', $project->getSubProjectIDs()).')';
			}
			else {
				$where[] = 'PA.Project_ID=?';
				$param[] = $criteria->Project_ID;
			}
		}
		if($criteria->User_ID) {
			$where[] = 'PA.User_ID=?';
			$param[] = $criteria->User_ID;
		}
		$sql =
			'select P.*, PA.Project_ID, PA.User_ID from Performance P'
			.' left join Project_Assignment PA on P.P_Assignment_ID=PA.P_Assignment_ID'
			.($where ? ' where '.implode(' and ', $where) : '')
			.' order by P.WorkDate';
		$conn = DBConnection($dburl);
		$conn->setFetchMode(DB_FETCHMODE_OBJECT, 'Performance');
		$performanceArray = &$conn->getAll($sql, $param);
		$conn->disconnect();
		if(DB::isError($performanceArray)) {
			echo $performanceArray->getMessage();
			echo $performanceArray->getUserInfo();
			echo $performanceArray->getDebugInfo();
		}
		return $performanceArray;
	}

	function &getProject() {
		global $rootdir;
		require_once("$rootdir/classes/Project.class.php");
		return Project::get($this->Project_ID);
	}

	function &getUser() {
		global $rootdir;
		require_once("$rootdir/classes/User.class.php");
		return User::get($this->User_ID);
	}

	function &getLink($table, $keyField=null) {
		global $rootdir;
		require_once("$rootdir/classes/Cache.class.php");
		if(is_null($keyField)) {
			$keyField = $table.'_ID';
		}
		$thisArray = (array)$this;
		return Cache::get($table, $thisArray[$keyField], $keyField);
	}

	function &getPerformanceType() {
		return $this->getLink('Performance_Type', 'Perf_Type_ID');
	}
	
	function &getDailyAllowance() {
		return $this->getLink('DailyAllowance');
	}
	
}

?>