<?php

require_once("$rootdir/classes/DBConnection.php");

class User extends DB_row {

	function &get($User_ID=null) {
		if(is_null($User_ID)) {
			return new User;
		}
		$cache = &User::getAll();
		return $cache[$User_ID];
	}
	
	function &getAll() {
		static $cache;
		if(is_null($cache)) {
			$conn = &DBConnection();
			$conn->setFetchMode(DB_FETCHMODE_OBJECT, 'User');
			$cache = array();
			$res = &$conn->query('select * from User');
			while($user = &$res->fetchRow()) {
				$cache[$user->User_ID] = &$user;
			}
			$conn->disconnect();
		}
		return $cache;
	}

	function getFullName() {
		return "$this->FirstName $this->LastName";
	}

	function &getLink($table, $keyField=null) {
		global $rootdir;
		require_once("$rootdir/classes/Cache.class.php");
		if(is_null($keyField)) {
			$keyField = $table.'_ID';
		}
		$thisArray = (array)$this;
		return Cache::get($table, $thisArray[$keyField], $keyField);
	}

	function &getEmployment() {
		return $this->getLink('Employment');
	}

	function isAdmin() {
		return $this->UserGr_ID==1;
	}

	function hasProjectRole($ProjectRoleID, &$project) {
		if(! isset($this->projectRole)) {
			$projectRole = &$this->projectRole;
			$projectRole = array();
			$conn = &DBConnection();
			$res = &$conn->query("select * from Project_Assignment where User_ID=$this->User_ID");
			while($row = &$res->fetchRow(DB_FETCHMODE_OBJECT)) {
				$projectRole[$row->Project_ID][$ProjectRoleID] = &$row;
			}
		}
		return $this->projectRole[$project->Project_ID][$ProjectRoleID]->Status=='A';
	}

}
?>