 <?php

     $offset = "../../includes/";

     require_once($offset."class.project.inc");
     require_once($offset."class.project_assignment.inc");
     require_once($offset."class.user.inc");
     require_once($offset."class.performance_type.inc");
     require_once($offset."class.pm_common.inc");

     if (PM_Common::check_login($system_user_id, $system_user_group_id ) != $secure_check) {
       $error = new Error_Management;
       $error->error_page(1,'');
       die();
     }

     if (session_is_registered("selected_user_id")) {
       session_unregister("selected_user_id");
     }
     if (session_is_registered("selected_project_id")) {
       session_unregister("selected_project_id");
     }
     if (session_is_registered("date_month")) {
       session_unregister("date_month");
     }
     if (session_is_registered("date_year")) {
       session_unregister("date_year");
     }
     if (session_is_registered("month")) {
       session_unregister("month");
     }

     unset($project_id_list);
     unset($project_name_list);
     unset($project_entry_list);
     unset($user_id_list);
     unset($user_name_list);
     
     if (empty($controlling_selection)) {
       unset($selected_project_id);
       unset($selected_user_id);
       unset($date_month);
       unset($date_year);
       unset($month);
     }
     
     $month[1]=i18n("J&auml;nner");
     $month[2]=i18n("Februar");
     $month[3]=i18n("M&auml;rz");
     $month[4]=i18n("April");
     $month[5]=i18n("Mai");
     $month[6]=i18n("Juni");
     $month[7]=i18n("Juli");
     $month[8]=i18n("August");
     $month[9]=i18n("September");
     $month[10]=i18n("Oktober");
     $month[11]=i18n("November");
     $month[12]=i18n("Dezember");

     $project_array= new Project;
     $project_tree_array=$project_array->get_project_tree(0,'A');
     $project_id_array=$project_tree_array['project_id'];
     $project_name_array=$project_tree_array['project_name'];
     $project_depth_array=$project_tree_array['project_depth'];

     for($i=1; $i <= count($project_id_array); $i++) {
       $project_id_list[$i]=$project_id_array[$i];
       $project_entry_list[$i]=Project::get_full_project_path($project_id_array[$i]);
       /*$project_name_list[$i]=$project_name_array[$i];
       for ($j=1; $j<=$project_depth_array[$i]; $j++) {
         $depthstring[$i]=$depthstring[$i]."&nbsp;&nbsp;";
       }
       $project_entry_list[$i]=$depthstring[$i].$project_name_list[$i];
       */
     }

     if (($system_user_group_id != 1) && ($system_user_group_id != 2)) {

       $project = new Project;
       $project_assignment = new Project_Assignment;
       $p_assign_array = $project_assignment->get_p_assignments($system_user_id,'','','A','');

       //Mehrfachzuordnung zu Projekten werden aussortiert u. Projekte bei denen der User PM ist hinzugef�gt
       $projects_user_is_pm=$project_assignment->get_projects_user_is_pm($system_user_id);
       $part_project_id_list=$projects_user_is_pm;
       $index=count($part_project_id_list)+1;
       for($i=1; $i <= count($p_assign_array); $i++) {
         $check_project_id=$p_assign_array[$i]->project_id;
         if (!(in_array($check_project_id,$part_project_id_list))) {
           $part_project_id_list[$index]=$p_assign_array[$i]->project_id;
           $index++;
         }
       }

       $j=1;
       for($i=1; $i <= count($project_id_list); $i++) {
         if (in_array($project_id_list[$i],$part_project_id_list)) {
           $temp_project_id_list[$j]=$project_id_list[$i];
           $temp_project_name_list[$j] = $project_name_list[$i];
           $temp_project_entry_list[$j] = $project_entry_list[$i];
           $j++;
         }
       }

       $project_id_list= $temp_project_id_list;
       $project_name_list= $temp_project_name_list;
       $project_entry_list= $temp_project_entry_list;
     }

   if ($show_user) {
     if (($system_user_group_id == 1) || ($system_user_group_id == 2)) {
       $user_array = new User;
       $user_array =$user_array->get_users('','A','LastName');
       for($i=0; $i < count($user_array); $i++) {
         $user_id_list[$i] = $user_array[$i+1]->user_id;
         $user_name_list[$i] = $user_array[$i+1]->get_full_name($user_id_list[$i]);
       }
     } elseif (count($projects_user_is_pm) > 0) {   // Get users of projects where user is Projectmanager
       $user_id_list=array();
       $user_index=0; // counter for user_id_list
       for($i=1; $i <= count($projects_user_is_pm); $i++) {
         $emp_p_assignment_array=$project_assignment->get_p_assignments('', $projects_user_is_pm[$i], '', 'A','User_ID');
         for($j=1; $j <= count($emp_p_assignment_array); $j++) {
           $check_user_id=$emp_p_assignment_array[$j]->user_id;
           if (!(in_array($check_user_id,$user_id_list))) {
             $user_id_list[$user_index]=$emp_p_assignment_array[$j]->user_id;
             $user_first_name_list[$user_index] = User::get_first_name($user_id_list[$user_index]);
             $user_last_name_list[$user_index] = User::get_last_name($user_id_list[$user_index]);
             $user_index++;
           }
         }
       }

       if (count($user_id_list) > 1) {
         array_multisort($user_last_name_list,$user_first_name_list,$user_id_list);
       }
       for($i=0; $i < count($user_id_list); $i++) {
        $user_name_list[$i] = sprintf("%s %s",$user_first_name_list[$i], $user_last_name_list[$i]);
       }
     } else {
       $user= new User;
       $user_id_list[0]=$system_user_id;
       $user_name_list[0] = $user->get_full_name($system_user_id);
     }
     
     if (!$selected_user_id) {
      $selected_user_id=$system_user_id;
     }
   }
     
     if ((!empty($controlling_selection)) && (strcmp($action,'submit') == 0 )) {
       session_register("selected_project_id");
       session_register("selected_user_id");
       session_register("month");
       session_register("date_month");
       session_register("date_year");
        
       if ((strcmp($controlling_selection, "employment") == 0 ) && ($selected_user_id == 0)) {
         echo "<script language='JavaScript'>\n";
         echo "window.location.replace('show_all_users_employment_tmpl.php');\n";
         echo "</script>";
      } elseif ((strcmp($controlling_selection, "employment") == 0 ) && ($selected_user_id > 0)) {
         echo "<script language='JavaScript'>\n";
         echo "window.location.replace('show_employment_tmpl.php');\n";
         echo "</script>";
       } elseif (strcmp($controlling_selection, "project_course") == 0 ) {
         echo "<script language='JavaScript'>\n";
         echo "window.location.replace('show_project_course_tmpl.php');\n";
         echo "</script>";
       } elseif (strcmp($controlling_selection, "project_state") == 0 ) {
         echo "<script language='JavaScript'>\n";
         echo "window.location.replace('show_project_state_tmpl.php');\n";
         echo "</script>";
       } elseif (strcmp($controlling_selection, "hours_state") == 0 ) {
         echo "<script language='JavaScript'>\n";
         echo "window.location.replace('show_hours_state_tmpl.php');\n";
         echo "</script>";
       }
     }


?>

<script language="JavaScript1.2" type="text/javascript">
<!--
     var controlling_selection;
     var url;
     var add_url;

     function set_controlling_selection_form() {

     for(i=0;i<document.select_p_controlling_form.controlling_selection.length;++i) {
       if(document.select_p_controlling_form.controlling_selection[i].selected == true) {
         controlling_selection= document.select_p_controlling_form.controlling_selection.options[i].value;
       }
     }

      switch(controlling_selection) {
        case "employment":
          add_url='show_user=1&show_range=1';
          break;
        case "project_course":
          add_url='show_project=1&show_range=1';
          break;
        case "project_state":
          add_url='show_project=1';
          break;
        case "hours_state":
          add_url='show_project=1';
          break;
      }

      url='select_p_controlling_tmpl.php?load_action=get_controlling_selection&controlling_selection='+controlling_selection+'&'+add_url;
      location.href=url;
    }




 //-->
</script>


