<?php

global $rootdir;
$rootdir = '../..';
require_once("$rootdir/classes/common.php");
require_once("$rootdir/classes/Cache.class.php");
require_once("$rootdir/classes/Project.class.php");
require_once("$rootdir/classes/User.class.php");
require_once('Smarty/Smarty.class.php');

class Expenses {
	
	function &getAll($query, $params) {
		static $cache;
		if(is_null($cache)) {
			$conn = &DBConnection();
			$result = &$conn->getAll($query, $params, DB_FETCHMODE_ASSOC);
			if(DB::isError($result)) {
				exit($result->getUserInfo());
			}
			$conn->disconnect();
			function &_compact(&$result, &$totals) {
				function _add(&$entry, &$totals, &$row) {
					if(! isset($entry)) {
						$entry = new Expenses;
						$entry->user_id = $row['user_id'];
					}
					foreach($row as $key=>$value) {
						if(! preg_match('/_id$|_count/', $key) && ! empty($value)) {
							$entry->$key += $value;
							$totals->$key += $value;
						}
					}
					$entry->dailyallowance_count[$row['dailyallowance_id']] += $row['dailyallowance_count'];
					$totals->dailyallowance_count[$row['dailyallowance_id']] += $row['dailyallowance_count'];
				}
				$cache = array();
				foreach($result as $row) {
					_add($cache[$row['user_id']], $totals, $row);
				}
				return $cache;
			}
			function _sort(&$cache) {
				function &_comparisonValue(&$x) {
					$user = &$x->getUser();
					$employment = $user->getEmployment();
					return	"{$employment->Employment_ID} {$user->LastName} {$user->FirstName}";
				}
				function _compare(&$a, &$b) {
					return strcmp(_comparisonValue($a), _comparisonValue($b));
				}
				usort($cache, '_compare');
			}
			$cache = &_compact($result, Expenses::getTotals());
			_sort($cache);
		}
		return $cache;
	}

	function &getAllByCriteria(&$criteria) {
		$where = array(
			"P.status='A'",
			'workdate between ? and ?'
		);
		$params = array(
			$criteria->date_from,
			$criteria->date_to
		);
		if($criteria->project_id) {
			if($criteria->subprojects) {
				$project = &Project::get($criteria->project_id);
				$where[] = 'project_id in ('.implode(',', $project->getSubProjectIDs()).')';
			} else {
				$where[] = 'project_id=?';
				$params[] = $criteria->project_id;
			}
		}
		if($criteria->user_id) {
			$where[] = 'U.user_id in ('.implode(',', $criteria->user_id).')';
		} elseif(! isset($criteria->formermembers)) {
			$where[] = 'employment_id<>99';
		}
		$sql =
			'select U.user_id, sum(time_to_sec(duration)) duration, sum(km) km, sum(km_passenger) km_passenger, dailyallowance_id, count(dailyallowance_id) dailyallowance_count, sum(expensesamount) expensesamount'
			.' from Performance P join Project_Assignment using(p_assignment_id) join User U using(user_id)'
			.' where '.implode(' and ', $where)
			.' group by U.user_id, dailyallowance_id';
		if($debug) { echo "<!-- $sql -->"; };
		return Expenses::getAll($sql, $params);
	}

	function &getTotals() {
		static $totals;
		return $totals;
	}

	function &getUser() {
		return User::get($this->user_id);
	}

}

$criteria->project_id = $project_id;
$criteria->subprojects = $subprojects;
$criteria->user_id = &$user_id;
$criteria->formermembers = $formermembers;
$criteria->date_from = "$start_date_year-$start_date_month-$start_date_day";
$criteria->date_to = "$end_date_year-$end_date_month-$end_date_day";

$data = &Expenses::getAllByCriteria($criteria);
$totals = &Expenses::getTotals();
$rate->km = 0.36;
$rate->km_passenger = 0.043;
$dailyAllowanceArray = array_filter(Cache::getTable('DailyAllowance'), create_function('&$item', '
	global $totals;
	return isset($totals->dailyallowance_count[$item->DailyAllowance_ID]);
'));
usort($dailyAllowanceArray, create_function('&$a, &$b', '
	return strcmp($a->DailyAllowance_Name, $b->DailyAllowance_Name);
'));

$smarty = new Smarty;
$smarty->template_dir = array('.', "$rootdir/smarty");
$smarty->plugins_dir = array(SMARTY_DIR.'plugins', "$rootdir/smarty");
$smarty->compile_dir = "$rootdir/smarty_templates_c";
$smarty->assign_by_ref('criteria', $criteria);
$smarty->assign_by_ref('userArray', User::getAll());
$smarty->assign_by_ref('project', Project::get($criteria->project_id));
$smarty->assign_by_ref('data', $data);
$smarty->assign_by_ref('totals', $totals);
$smarty->assign_by_ref('rate', $rate);
$smarty->assign_by_ref('dailyAllowanceArray', $dailyAllowanceArray);
$smarty->display($submit_export ? 'export.tpl' : 'web.tpl');


?>