<?php

if(! isset($rootdir)) {
	$rootdir = '..';
}

require_once("$rootdir/classes/common.php");
require_once("$rootdir/classes/Performance.class.php");

$criteria->Project_ID = $Project_ID;
$criteria->User_ID = $User_ID;
$criteria->subProjectFlag = $subProjectFlag;
$criteria->beginDate = $beginDate;
$criteria->endDate = $endDate;
$criteria->deactivatedFlag = $deactivatedFlag;

$delimiterArray = array('tab'=>"\t", 'comma'=>',', 'semicolon'=>';');
$separator = $delimiterArray[$delimiter];

Header("Content-Type: text/plain");

function fmtfield($field) {
	return '"'.str_replace("\n", '\n', str_replace("\r", '', $field)).'"';
}

function line($fields, $separator) {
	return implode($separator, array_map('fmtfield', $fields))."\n";
}

echo line(array_map('i18n', array(
		'Datum',
		'Dauer',
		'Leistungstyp',
		'nicht verrechenbar',
		'Projekt',
		'Beschreibung',
		'Mitarbeiter',
		'Fahrt',
		'Km',
		'Km Mitfahrer',
		'Ditensatz',
		'Ditenbetrag',
		'Spesenbetrag',
		'Spesentext',
		'Status',
)), $separator);

foreach(Performance::query($criteria) as $perf) {
	$project = &$perf->getProject();
	$user =&$perf->getUser();
	$perfType = &$perf->getPerformanceType();
	$dailyAllowance = &$perf->getDailyAllowance();
	echo line(array(
		$perf->WorkDate,
		substr($perf->Duration,0,5),
		$perfType->Perf_Type_Name,
		$perf->InChargeAble,
		$project->getPath(),
		$perf->Description,
		$user->getFullName(),
		$perf->Travel,
		$perf->Km,
		$perf->Km_Passenger,
		$dailyAllowance->DailyAllowance_Name,
		number_format($dailyAllowance->Amount, 2, ',', ''),
		number_format($perf->ExpensesAmount, 2, ',', ''),
		$perf->ExpensesText,
		$perf->Status,
	), $separator);
}

?>