<?php

class Calendar {
	
	function easter_date($year) {
		#calculate the date of easter using Delambre's algorithm.
		$a = $year % 19;
		$b = floor($year / 100);
		$c = $year % 100;
		$d = floor($b / 4);
		$e = $b % 4;
		$f = floor(($b + 8) / 25);
		$g = floor(($b - $f + 1) / 3);
		$h = (19 * $a + $b - $d - $g + 15) % 30;
		$i = floor($c / 4);
		$k = $c % 4;
		$l = (32 + 2 * $e + 2 * $i - $h - $k) % 7;
		$m = floor(($a + 11 * $h + 22 * $l) / 451);
		$n = ($h + $l - 7 * $m + 114);
		$month = floor($n / 31);
		$day = $n % 31 + 1;
		return mktime(0,0,0, $month, $day, $year);
	}

	function add($date, $days) {
		return $date+86400*$days;
	}

	function diff($date1, $date0) {
		return ($date1-$date0)/86400;
	}

	function isWeekend($date) {
		switch(date('w', $date)) {
		case 0: case 6:
			return true;
		default:
			return false;
		}
	}

	function firstOfMonth($date) {
		return Calendar::add($date, 1-date('j', $date));
	}

}

?>