<?php

  include_once($offset."class.pm_common.inc");


  class Customer_Assignment {

    var $c_assignment_id;
    var $customer_id;
    var $project_id;
    var $description;
    var $user_id_log;

    function Customer_Assignment() {
    }

    function Customer_Assignment($c_assignment_id=''){

       $this->c_assignment_id=$c_assignment_id;
    }


    function new_c_assignment($c_assignment, $user_id_log) {

      $check=$this->check_params($c_assignment, $user_id_log);
      if (strcmp($check,"") == 0)  {
        $db = new DB_Management;
        $db->open_db();
        $query ="INSERT INTO Customer_Assignment(Customer_ID, Project_ID, Description, User_ID_Log) VALUES (";
        $query = $query." $c_assignment->customer_id, ";
        $query = $query." $c_assignment->project_id, ";
        $query = $query."'".$db->encode_string($c_assignment->description)."', ";
        $query = $query." $user_id_log )";

        $db->execute_query($query);

        if ($db->get_affected_rows() >0 ) {
           $new_c_assignment_id = $db->get_insert_id('Customer_Assignment','C_Assignment_ID');
        } else {
           $new_c_assignment_id=-1;
        }
        $db->close_db();
        return  $new_c_assignment_id;

      } else {
          $error = new Error_Management;
          $error->error_page(0,$check);
          die();
      }
    }

    function edit_c_assignment($c_assignment, $user_id_log) {

      $check=$this->check_params($c_assignment, $user_id_log);
      if (($c_assignment->c_assignment_id>0) && (strcmp($check,"") == 0))  {
        $db = new DB_Management;
        $db->open_db();
        $query ="UPDATE Customer_Assignment SET ";
        $query = $query."Customer_ID=$c_assignment->customer_id, ";
        $query = $query."Project_ID=$c_assignment->project_id, ";
        $query = $query."Description='".$db->encode_string($c_assignment->description)."', ";
        $query = $query."User_ID_Log=$user_id_log ";
        $query = $query."WHERE C_Assignment_ID=$c_assignment->c_assignment_id ";

        $edit_result=$db->execute_query($query);
        $db->close_db();
        return $edit_result;
      } else {
          $error = new Error_Management;
          $error->error_page(0,$check);
          die();
      }
    }

     function delete_c_assignment($c_assignment_id='') {

        if ($c_assignment_id > 0 ) {
          $query ="DELETE FROM Customer_Assignment WHERE C_Assignment_ID=$c_assignment_id";
          $db = new DB_Management;
          $db->open_db();
          $delete_result = $db->execute_query($query);
          $db->close_db();
          return $delete_result;
        } else {
          $error = new Error_Management;
          $error->error_page(170,"");
          die();
        }
    }


    function get_c_assignment($c_assignment_id='') {

      if ($c_assignment_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT CuAs.* FROM Customer_Assignment AS CuAs, Customer AS Cust, Project AS Proj WHERE"
               . " CuAs.Customer_ID=Cust.Customer_ID AND CuAs.Project_ID=Proj.Project_ID AND C_Assignment_ID= $c_assignment_id";
        $result = $db->execute_query($query);

        while ($row = $db->fetch_row($result)) {
          $this->c_assignment_id= $row->C_Assignment_ID;
          $this->customer_id = $row->Customer_ID;
          $this->project_id = $row->Project_ID;
          $this->description= $row->Description;
        }
        $db->close_db();
        return $this;
      }
      else {
        $error = new Error_Management;
        $error->error_page(170,"");
        die();
      }
    }
    
    
    function get_c_assignments($customer_id='', $project_id='', $orderby='') {

        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT CuAs.* FROM Customer_Assignment AS CuAs, Customer AS Cust, Project AS Proj WHERE"
               . " CuAs.Customer_ID=Cust.Customer_ID AND CuAs.Project_ID=Proj.Project_ID";
               
        if ($customer_id > 0) {
          $query = $query . " AND CuAs.Customer_ID=$customer_id";
        }
        if ($project_id > 0) {
          $query = $query . " AND CuAs.Project_ID=$project_id";
        }
               
        if (empty($orderby)) {
          $orderby="C_Assignment_ID";
        }
        $query = $query . " ORDER BY ". $orderby;
        $result = $db->execute_query($query);

        $i=1;
        while ($row = $db->fetch_row($result)) {
          $this->c_assignment_id= $row->C_Assignment_ID;
          $this->customer_id = $row->Customer_ID;
          $this->project_id = $row->Project_ID;
          $this->description= $row->Description;
          $customer[$i]=$this;
          $i++;
        }

        $db->close_db();
        return $customer;
    }
    
    
    function exist_c_assignment($customer_id, $project_id) {

        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT COUNT(CuAs.C_Assignment_ID) FROM Customer_Assignment AS CuAs, Customer AS Cust, Project AS Proj WHERE"
               . " CuAs.Customer_ID=Cust.Customer_ID AND CuAs.Project_ID=Proj.Project_ID AND CuAs.Customer_ID=$customer_id AND CuAs.Project_ID=$project_id";

        $exist_c_assignment = $db->get_single_value($query);

        $db->close_db();
        return $exist_c_assignment;
    }
    

    function get_customer_id($c_assignment_id='') {

      if ($c_assignment_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT CuAs.Customer_ID FROM Customer_Assignment AS CuAs, Customer AS Cust, Project AS Proj WHERE"
               . " CuAs.Customer_ID=Cust.Customer_ID AND CuAs.Project_ID=Proj.Project_ID AND C_Assignment_ID= $c_assignment_id";
        $customer_id = $db->get_single_value($query);

        $db->close_db();
        return $customer_id;
      }
      else {
        $error = new Error_Management;
        $error->error_page(170,"");
        die();
      }
    }


    function get_project_id($c_assignment_id='') {

      if ($c_assignment_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT CuAs.Project_ID FROM Customer_Assignment AS CuAs, Customer AS Cust, Project AS Proj WHERE"
               . " CuAs.Customer_ID=Cust.Customer_ID AND CuAs.Project_ID=Proj.Project_ID AND C_Assignment_ID= $c_assignment_id";
        $project_id = $db->get_single_value($query);

        $db->close_db();
        return $project_id;
      }
      else {
        $error = new Error_Management;
        $error->error_page(170,"");
        die();
      }
    }
    
     function get_description($c_assignment_id='') {

      if ($c_assignment_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT CuAs.Description FROM Customer_Assignment AS CuAs, Customer AS Cust, Project AS Proj WHERE"
               . " CuAs.Customer_ID=Cust.Customer_ID AND CuAs.Project_ID=Proj.Project_ID AND C_Assignment_ID= $c_assignment_id";
        $description = $db->get_single_value($query);

        $db->close_db();
        return $description;
      }
      else {
        $error = new Error_Management;
        $error->error_page(170,"");
        die();
      }
    }
    
    
    function check_params($c_assignment, $user_id_log) {
    
      $check_message = i18n("F&uuml;r den/die Parameter ");
      $check_counter = 0;

      if ($c_assignment->customer_id < 1) {
        $check_message = $check_message . i18n("Kunden-ID");
        $check_counter++;
      }
      if ($c_assignment->project_id < 1) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("Projekt-ID");
        $check_counter++;
      }
      
      if ($user_id_log < 1) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("Bearbeiter-Benutzer-ID");
        $check_counter++;
      }

      $check_message = $check_message . i18n(" wurden keine oder falsche Werte eingegeben! &Uuml;berpr&uuml;fen Sie ihre Eingabe nochmal!");


      if ($check_counter == 0) {
        $check_message="";
      }
      return $check_message;
    }
    
    function set_customer_id($c_assignment_id='', $customer_id='') {

      if (($c_assignment_id > 0) && (strlen($customer_id) > 0)){
        $db = new DB_Management;
        $db->open_db();
        if ($db->get_count("Customer", "Customer_ID = $customer_id") == 1){
          $query ="UPDATE Customer_Assignment SET Customer_ID=$customer_id WHERE C_Assignment_ID=$c_assignment_id";
          $update_result=$db->execute_query($query);
          $db->close_db();
          return $update_result;
        } else {
          $db->close_db();
          $error = new Error_Management;
          $error->error_page(80,'');
          die();
        }
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }


    function set_project_id($c_assignment_id='', $project_id='') {

      if (($c_assignment_id > 0) && (strlen($project_id) >0)) {
        $db = new DB_Management;
        $db->open_db();
        if ($db->get_count("Project", "Project_ID = $project_id") == 1){
          $query ="UPDATE Customer_Assignment SET Project_ID=$project_id WHERE C_Assignment_ID=$c_assignment_id";
          $update_result=$db->execute_query($query);
          $db->close_db();
          return $update_result;
        } else {
          $db->close_db();
          $error = new Error_Management;
          $error->error_page(20,'');
          die();
        }
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }

    function set_description($c_assignment_id='', $description='') {

      if ($c_assignment_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query ="UPDATE Customer_Assignment SET Description='".$db->encode_string($description)."' WHERE C_Assignment_ID=$c_assignment_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }
     
  }      // End of Class Customer_Assignment
?>
