<?php



  // include class PM_Common for common used methods

  include_once($offset."class.pm_common.inc");

  // the includepath of ldap_info.inc must be above the document path,

  // so that the file is not attainable from outside

  $new_offset = substr($offset,0,-9);

  // include the ldap connection information

  include_once($offset."../secrets/ldap_info.inc");





  class Ldap_Management

  {



    var $ldap_host;

    var $base_dn;

    var $connection_id;

    var $entry_id;

    var $search_result_id;



    function Ldap_Management() { }

    

    function connect_to_ldap()

    {

      if (LDAP_ACTIVE) {

        if (strcmp(LDAP_HOST,"") != 0) {

          $this->connection_id=ldap_connect(LDAP_HOST);

          if ($this->connection_id < 1) {

            $error = new Error_Management;

            $error->error_page(201,'');

            die();

          }

        } else {

          $error = new Error_Management;

          $error->error_page(200,'');

          die();

        }

      } // LDAP_ACTIVE

    } // end function connect_to_ldap

    

    function bind_to_ldap()

    {

      if (LDAP_ACTIVE) {

        if ($this->connection_id > 0) {

          $ldap_connection_id=ldap_bind($this->connection_id);

          if ($ldap_connection_id <1 ) {

            $error = new Error_Management;

            $error->error_page(203,'');

            die();

          }

        } else {

          $error = new Error_Management;

          $error->error_page(202,'');

          die();

        }

      } // LDAP_ACTIVE

    } // end function bind_to_ldap





    function search_ldap($base_dn, $filter, $selection)

    {

      if (LDAP_ACTIVE) {

        if ($this->connection_id > 0) {

          if (empty($base_dn)) {

            $base_dn=BASE_DN;

          }

          if (!empty($selection)) {

            $search_result_id=@ldap_search($this->connection_id, $base_dn, $filter, $selection);

          } else {

            $search_result_id=@ldap_search($this->connection_id, $base_dn, $filter);

          }

          return $search_result_id;

          if ($search_result_id) {

            return $search_result_id;

          } else {

            $error = new Error_Management;

            $error->error_page(204,'');

            die();

          }

        } else {

          $error = new Error_Management;

          $error->error_page(205,'');

          die();

        }

      }

      return false;

    } // end function search_ldap

    

    function list_ldap($base_dn, $filter, $selection)

    {

      if (LDAP_ACTIVE) {

        if ($this->connection_id > 0) {

          if (empty($base_dn)) {

            $base_dn=BASE_DN;

          }

          if (!empty($selection)) {

             $search_result_id=ldap_list($this->connection_id, $base_dn, $filter, $selection);

          } else {

             $search_result_id=ldap_list($this->connection_id, $base_dn, $filter);

          }

          if ($search_result_id) {

            return $search_result_id;

          } else {

            $error = new Error_Management;

            $error->error_page(204,'');

            die();

          }

        } else {

          $error = new Error_Management;

          $error->error_page(205,'');

          die();

        }

      }

      return false;

    } // end function list_ldap







    function count_result_entries($search_result_id)

    {

      if (LDAP_ACTIVE) {

        if (($this->connection_id > 0) && ($search_result_id > 0)){

          $count_result=ldap_count_entries($this->connection_id, $search_result_id);

          if ($count_result == false) {

            $error = new Error_Management;

            $error->error_page(206,'');

            die();

          } else {

            return $count_result;

          }

        } else {

          return 0;

          /*$error = new Error_Management;

          $error->error_page(2,'');

          die();*/

        }

      }

      return 0;

    } // end function count_result_entries

    

    function get_all_entries($search_result_id)

    {

      if (LDAP_ACTIVE) {

        if (($this->connection_id > 0) && ($search_result_id > 0)){

          $result_array=ldap_get_entries($this->connection_id, $search_result_id);

          if ($result_array == false) {

            $error = new Error_Management;

            $error->error_page(207,'');

            die();

          } else {

            return $result_array;

          }

        } else {

          return "";

          /*$error = new Error_Management;

          $error->error_page(2,'');

          die();*/

        }

      }

      return array();

    } // end function get_all_entries





    function get_first_entry($search_result_id)

    {

      if (LDAP_ACTIVE) {

        if (($this->connection_id > 0) && ($search_result_id > 0)){

          $entry_id=ldap_first_entry($this->connection_id, $search_result_id);

          if ($entry_id == false) {

            $error = new Error_Management;

            $error->error_page(207,'');

            die();

          } else {

            return $entry_id;

          }

        } else {

          return "";

          /*$error = new Error_Management;

          $error->error_page(2,'');

          die();*/

        }

      }

      return false;

    } // end function get_first_entry





    function get_next_entry($entry_id)

    {

      if (LDAP_ACTIVE) {

        if (($this->connection_id > 0) && ($entry_id > 0)){

          $next_entry_id=ldap_next_entry($this->connection_id, $entry_id);

          return $next_entry_id;

        } else {

          return 0;

          /*$error = new Error_Management;

          $error->error_page(2,'');

          die();*/

        }

      }

      return false;

    } // end function get_next_entry

    



    function get_ldap_dn($entry_id)

    {

      if (LDAP_ACTIVE) {

        if (($this->connection_id > 0) && ($entry_id > 0)){

          $result_dn=ldap_get_dn($this->connection_id, $entry_id);

          if ($result_dn == false) {

            $error = new Error_Management;

            $error->error_page(208,'');

            die();

          } else {

            return $result_dn;

          }

        } else {

          /*$error = new Error_Management;

          $error->error_page(2,'');

          die();*/

          return "";

        }

      }

      return "";

    } // end function get_ldap_dn

    

    

    function get_entry_attributes($entry_id)

    {

      if (LDAP_ACTIVE) {

        if (($this->connection_id > 0) && ($entry_id > 0)){

          $result_array=ldap_get_attributes($this->connection_id, $entry_id);

          if ($result_array == false) {

            $error = new Error_Management;

            $error->error_page(210,'');

            die();

          } else {

            return $result_array;

          }

        } else {

          return "";

          /*

          $error = new Error_Management;

          $error->error_page(2,'');

          die();*/

        }

      }

      return false;

    } // end function get_entry_attributes

    

    function get_first_attribute($entry_id, $ber_identifier)

    {

      if (LDAP_ACTIVE) {

        if (($this->connection_id > 0) && ($entry_id > 0)){

          $result_attribute=ldap_first_attribute ($this->connection_id, $entry_id, $ber_identifier);

          if (strcmp($result_attribute,"false") == 0 ) {

            $error = new Error_Management;

            $error->error_page(210,'');

            die();

          } else {

            return $result_attribute ;

          }

        } else {

          return "";

          /*$error = new Error_Management;

          $error->error_page(2,'');

          die();*/

        }

      }

      return "false";

    } // end function get_first_attribute



    function get_next_attribute($entry_id, $ber_identifier)

    {

      if (LDAP_ACTIVE) {

        if (($this->connection_id > 0) && ($entry_id > 0)){

          $next_result_attribute=ldap_next_attribute($this->connection_id, $entry_id, $ber_identifier);

          return $next_result_attribute;

        } else {

          return "";

          /*$error = new Error_Management;

          $error->error_page(2,'');

          die();*/

        }

      }

      return "";

    } // end function get_next_attribute

    

    function get_values($entry_id, $attribute)

    {

      if (LDAP_ACTIVE) {

        if (($this->connection_id > 0) && ($entry_id > 0) && (strcmp($attribute,"") != 0)) {

          $result_value=ldap_get_values($this->connection_id, $entry_id, $attribute);

          if ($result_value == false) {

            $error = new Error_Management;

            $error->error_page(211,'');

            die();

          } else {

            return $result_value;

          }

        } else {

          return "";

          /*$error = new Error_Management;

          $error->error_page(2,'');

          die();*/

        }

      }

      return false;

    } // end function get_values

    



    function unbind_from_ldap()

    {

      if (LDAP_ACTIVE) {

        if ($this->connection_id> 0) {

          $unbind_result=ldap_unbind($this->connection_id);

          if ($unbind_result < 1) {

            $error = new Error_Management;

            $error->error_page(209,'');

            die();

          }

        } else {

          $error = new Error_Management;

          $error->error_page(205,'');

          die();

        }

      }

    } // end function unbind_from_ldap



  } // end class Ldap_Management

?>

