<?php

  include_once($offset."class.pm_common.inc");


  class Project_Role {

    var $project_role_id;
    var $p_role_name;
    var $short_name;
    var $p_role_description;
    var $user_id_log;

    /* the short name cache */
    var $sn_cache;

    function Project_Role() {
      $this->sn_cache = array();
    }

    function Project_Role($project_role_id=''){

       $this->project_role_id=$project_role_id;
    }


    function new_project_role($p_role, $user_id_log) {

      $check=$this->check_params($p_role, $user_id_log);
      if (strcmp($check,"") == 0)  {
        $db = new DB_Management;
        $db->open_db();
        $query ="INSERT INTO Project_Role(P_RoleName, ShortName, Description, User_ID_Log) VALUES (";
        $query = $query."'".$db->encode_string($p_role->p_role_name)."', ";
        $query = $query."'".$db->encode_string($p_role->short_name)."', ";
        $query = $query."'".$db->encode_string($p_role->p_role_description)."', ";
        $query = $query." $user_id_log )";

        $db->execute_query($query);

        if ($db->get_affected_rows() >0 ) {
          $new_project_role_id = $db->get_insert_id('Project_Role','ProjectRole_ID');
        } else {
          $new_project_role_id=-1;
        }
        $db->close_db();
        return $new_project_role_id;
      } else {
          $error = new Error_Management;
          $error->error_page(0,$check);
          die();
      }
    }

    function edit_project_role($p_role, $user_id_log) {

      $check=$this->check_params($p_role, $user_id_log);
      if (($p_role->project_role_id > 0) && (strcmp($check,"") == 0))  {
        $db = new DB_Management;
        $db->open_db();
        $query ="UPDATE Project_Role SET ";
        $query = $query."P_RoleName='".$db->encode_string($p_role->p_role_name)."', ";
        $query = $query."ShortName='".$db->encode_string($p_role->short_name)."', ";
        $query = $query."Description='".$db->encode_string($p_role->p_role_description)."', ";
        $query = $query."User_ID_Log=$user_id_log ";
        $query = $query."WHERE ProjectRole_ID=$p_role->project_role_id ";

        $edit_result=$db->execute_query($query);
        $db->close_db();
        return $edit_result;
      } else {
          $error = new Error_Management;
          $error->error_page(0,$check);
          die();
      }
    }

     function delete_project_role($project_role_id='') {

        if ($project_role_id > 0 ) {
          $query ="DELETE FROM Project_Role WHERE ProjectRole_ID=$project_role_id";
          $db = new DB_Management;
          $db->open_db();
          $delete_result = $db->execute_query($query);
          $db->close_db();
          return $delete_result;
        } else {
          $error = new Error_Management;
          $error->error_page(110,"");
          die();
        }
    }


    function get_project_role($project_role_id='') {

      if ($project_role_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT * FROM Project_Role WHERE ProjectRole_ID= $project_role_id";
        $result = $db->execute_query($query);

        while ($row = $db->fetch_row($result)) {
          $this->project_role_id= $row->ProjectRole_ID;
          $this->p_role_name = $row->P_RoleName;
          $this->short_name = $row->ShortName;
          $this->p_role_description = $row->Description;
        }
        $db->close_db();
        return $this;
      }
      else {
        $error = new Error_Management;
        $error->error_page(110,"");
        die();
      }
    }
    
    
    function get_project_roles($orderby='') {

        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT * FROM Project_Role ";
        
        if (empty($orderby)) {
          $orderby="ProjectRole_ID";
        }
        $query = $query . " ORDER BY ". $orderby;
        
        $result = $db->execute_query($query);

        $i=1;
        while ($row = $db->fetch_row($result)) {
          $this->project_role_id= $row->ProjectRole_ID;
          $this->p_role_name = $row->P_RoleName;
          $this->short_name = $row->ShortName;
          $this->p_role_description = $row->Description;
          $project_role[$i]=$this;
          $i++;
        }

        $db->close_db();
        return $project_role;
    }
    

    function get_p_role_name($project_role_id='') {

      if ($project_role_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT P_RoleName FROM Project_Role WHERE ProjectRole_ID= $project_role_id";
        $p_role_name = $db->get_single_value($query);

        $db->close_db();
        return $p_role_name;
      }
      else {
        $error = new Error_Management;
        $error->error_page(110,"");
        die();
      }
    }
    
    function get_short_name($project_role_id='') {

      if ($project_role_id > 0) {
	
	if (strcmp($this->sn_cache[$project_role_id],"")==0) {
          $db = new DB_Management;
          $db->open_db();
          $query = "SELECT ShortName FROM Project_Role WHERE ProjectRole_ID= $project_role_id";
          $this->sn_cache[$project_role_id] = $db->get_single_value($query);
	  $db->close_db();
	}
        return $this->sn_cache[$project_role_id];
      }
      else {
        $error = new Error_Management;
        $error->error_page(110,"");
        die();
      }
    }


    function get_p_role_description($project_role_id='') {

      if ($project_role_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT Description FROM Project_Role WHERE ProjectRole_ID= $project_role_id";
        $p_role_description = $db->get_single_value($query);

        $db->close_db();
        return $p_role_description;
      }
      else {
        $error = new Error_Management;
        $error->error_page(110,"");
        die();
      }
    }
    
    
    function check_params($p_role, $user_id_log) {
    
      $check_message = i18n("F&uuml;r den/die Parameter ");
      $check_counter = 0;

      if (strcmp($p_role->p_role_name,"") == 0) {
        $check_message = $check_message . i18n("Projektrollename");
        $check_counter++;
      }
      if (strcmp($p_role->short_name,"") == 0) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("Kurzbezeichnung");
        $check_counter++;
      }
      if ($user_id_log < 1) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("Bearbeiter-Benutzer-ID");
        $check_counter++;
      }

      $check_message = $check_message . i18n(" wurden keine oder falsche Werte eingegeben! &Uuml;berpr&uuml;fen Sie ihre Eingabe nochmal!");


      if ($check_counter == 0) {
        $check_message="";
      }
      return $check_message;
    }
    
    function set_p_role_name($project_role_id='', $p_role_name='') {

      if (($project_role_id > 0) && (strlen($p_role_name) > 0)){
        $db = new DB_Management;
        $db->open_db();

        $query ="UPDATE Project_Role SET P_RoleName='".$db->encode_string($p_role_name)."' WHERE ProjectRole_ID=$project_role_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }
    
    function set_short_name($project_role_id='', $short_name='') {

      if (($project_role_id > 0) && (strlen($p_role_name) > 0)){
        $db = new DB_Management;
        $db->open_db();
	$this->sn_cache[$project_role_id] = $db->encode_string($short_name);
        $query ="UPDATE Project_Role SET ShortName='".$db->encode_string($short_name)."' WHERE ProjectRole_ID=$project_role_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }



    function set_p_role_description($project_role_id='', $description='') {

      if ($user_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query ="UPDATE Project_Role SET Description='".$db->encode_string($description)."' WHERE ProjectRole_ID=$project_role_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }
    
  }      // End of Class Project_Role
?>
