<?php

  include_once($offset."class.pm_common.inc");


  class Representative {

    var $representative_id;
    var $representative_name;
    var $customer_id;
    var $rep_ldap_dn;
    var $description;
    var $user_id_log;

    function Representative() {
    }

    function Representative($representative_id=''){

       $this->representative_id=$representative_id;
    }


    function new_representative($representative, $user_id_log) {

      $check=$this->check_params($representative, $user_id_log);
      if (strcmp($check,"") == 0)  {
        $db = new DB_Management;
        $db->open_db();
        $query ="INSERT INTO Representative(Representative_Name,Customer_ID, Ldap_DN, Description, User_ID_Log) VALUES (";
        $query = $query."'".$db->encode_string($representative->representative_name)."', ";
        $query = $query." $representative->customer_id, ";
        $query = $query."'".$db->encode_string($representative->rep_ldap_dn)."', ";
        $query = $query."'".$db->encode_string($representative->description)."', ";
        $query = $query." $user_id_log )";

        $db->execute_query($query);

        if ($db->get_affected_rows() >0 ) {
          $new_representative_id = $db->get_insert_id('Representative','Representative_ID');
        } else {
          $new_representative_id=-1;
        }
        $db->close_db();
        return $new_representative_id;
      } else {
          $error = new Error_Management;
          $error->error_page(0,$check);
          die();
      }
    }

    function edit_representative($representative, $user_id_log) {

      $check=$this->check_params($representative, $user_id_log);
      if (($representative->representative_id>0) && (strcmp($check,"") == 0))  {
        $db = new DB_Management;
        $db->open_db();
        $query ="UPDATE Representative SET ";
        $query = $query."Representative_Name='".$db->encode_string($representative->representative_name)."', ";
        $query = $query."Customer_ID=$representative->customer_id, ";
        $query = $query."Ldap_DN='".$db->encode_string($representative->rep_ldap_dn)."', ";
        $query = $query."Description='".$db->encode_string($representative->description)."', ";
        $query = $query."User_ID_Log=$user_id_log ";
        $query = $query."WHERE Representative_ID=$representative->representative_id ";

        $edit_result=$db->execute_query($query);
        $db->close_db();
        return $edit_result;
      } else {
          $error = new Error_Management;
          $error->error_page(0,$check);
          die();
      }
    }

     function delete_representative($representative_id='') {

        if ($representative_id > 0 ) {
          $query ="DELETE FROM Representative WHERE Representative_ID=$representative_id";
          $db = new DB_Management;
          $db->open_db();
          $delete_result = $db->execute_query($query);
          $db->close_db();
          return $delete_result;
        } else {
          $error = new Error_Management;
          $error->error_page(90,"");
          die();
        }
    }


    function get_representative($representative_id='') {

      if ($representative_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT Rep.* FROM Representative AS Rep, Customer AS Cust"
               . " WHERE Cust.Customer_ID=Rep.Customer_ID AND Rep.Representative_ID=$representative_id";
        $result = $db->execute_query($query);

        while ($row = $db->fetch_row($result)) {
          $this->representative_id= $row->Representative_ID;
          $this->representative_name= $row->Representative_Name;
          $this->customer_id = $row->Customer_ID;
          $this->rep_ldap_dn = $row->Ldap_DN;
          $this->description= $row->Description;
        }
        $db->close_db();
        return $this;
      }
      else {
        $error = new Error_Management;
        $error->error_page(90,"");
        die();
      }
    }
    
    
    function get_representatives($customer_id=0, $orderby='') {

        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT Rep.* FROM Representative AS Rep, Customer AS Cust"
               . " WHERE Cust.Customer_ID=Rep.Customer_ID";
               
        if ($customer_id > 0) {
          $query = $query ." AND Rep.Customer_ID=$customer_id";
        }
        
        if (empty($orderby)) {
          $orderby="Representative_ID";
        }
        $query = $query . " ORDER BY ". $orderby;
        $result = $db->execute_query($query);

        $i=1;
        while ($row = $db->fetch_row($result)) {
          $this->representative_id= $row->Representative_ID;
          $this->representative_name= $row->Representative_Name;
          $this->customer_id = $row->Customer_ID;
          $this->rep_ldap_dn = $row->Ldap_DN;
          $this->description= $row->Description;
          $representative[$i]=$this;
          $i++;
        }

        $db->close_db();
        return $representative;
    }


    function get_representative_name($representative_id='') {

      if ($representative_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT Rep.Representative_Name FROM Representative AS Rep, Customer AS Cust"
               . " WHERE Cust.Customer_ID=Rep.Customer_ID AND Rep.Representative_ID= $representative_id";
        $representative_name = $db->get_single_value($query);

        $db->close_db();
        return $representative_name;
      }
      else {
        $error = new Error_Management;
        $error->error_page(90,"");
        die();
      }
    }
    
    
    function get_customer_id($representative_id='') {

      if ($representative_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT Rep.Customer_ID FROM Representative AS Rep, Customer AS Cust"
               . " WHERE Cust.Customer_ID=Rep.Customer_ID AND Rep.Representative_ID= $representative_id";
        $customer_id = $db->get_single_value($query);

        $db->close_db();
        return $customer_id;
      }
      else {
        $error = new Error_Management;
        $error->error_page(90,"");
        die();
      }
    }


    function get_rep_ldap_dn($representative_id='') {

      if ($representative_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT Rep.Ldap_DN FROM Representative AS Rep, Customer AS Cust"
               . " WHERE Cust.Customer_ID=Rep.Customer_ID AND Rep.Representative_ID= $representative_id";
        $rep_ldap_dn = $db->get_single_value($query);

        $db->close_db();
        return $rep_ldap_dn;
      }
      else {
        $error = new Error_Management;
        $error->error_page(90,"");
        die();
      }
    }
    
     function get_description($representative_id='') {

      if ($representative_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT Rep.Description FROM Representative AS Rep, Customer AS Cust"
               . " WHERE Cust.Customer_ID=Rep.Customer_ID AND Rep.Representative_ID= $representative_id";
        $description = $db->get_single_value($query);

        $db->close_db();
        return $description;
      }
      else {
        $error = new Error_Management;
        $error->error_page(90,"");
        die();
      }
    }
    
    
    function check_params($representative, $user_id_log) {
    
      $db = new DB_Management;
      $db->open_db();
      
      $check_message = i18n("F&uuml;r den/die Parameter ");
      $check_counter = 0;
      
      if (($representative->customer_id < 1) || ($db->get_count("Customer", "Customer_ID = $representative->customer_id") != 1)) {
        $check_message = $check_message . i18n("Kunde");
        $check_counter++;
      }
      if (strcmp($representative->representative_name,"") == 0) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("Ansprechperson");
        $check_counter++;
      }
      if (strcmp($representative->rep_ldap_dn,"") == 0) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("LDAP-DN");
        $check_counter++;
      }
      
      if ($user_id_log < 1) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("Bearbeiter-Benutzer-ID");
        $check_counter++;
      }

      $check_message = $check_message . i18n(" wurden keine oder falsche Werte eingegeben! &Uuml;berpr&uuml;fen Sie ihre Eingabe nochmal!");


      if ($check_counter == 0) {
        $check_message="";
      }
      return $check_message;
    }
    
    
    function set_representative_name($representative_id='', $representative_name='') {

      if (($representative_id > 0) && (strlen($representative_name) >0)) {
        $db = new DB_Management;
        $db->open_db();

        $query ="UPDATE Representative SET Representative_Name='".$db->encode_string($representative_name)."' WHERE Representative_ID=$representative_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }
    
    function set_customer_id($representative_id='', $customer_id='') {

      if (($representative_id > 0) && ($customer_id > 0)){
        $db = new DB_Management;
        $db->open_db();
        if ($db->get_count("Customer", "Customer_ID = $customer_id") == 1){
          $query ="UPDATE Representative SET Representative.Customer_ID=$customer_id WHERE Representative_ID= $representative_id";
          $update_result=$db->execute_query($query);
          $db->close_db();
          return $update_result;
        } else {
          $db->close_db();
          $error = new Error_Management;
          $error->error_page(80,'');
          die();
        }
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }


    function set_rep_ldap_dn($representative_id='', $rep_ldap_dn='') {

      if (($representative_id > 0) && (strlen($rep_ldap_dn) >0)) {
        $db = new DB_Management;
        $db->open_db();

        $query ="UPDATE Representative SET Ldap_DN='".$db->encode_string($rep_ldap_dn)."' WHERE Representative_ID=$representative_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }

    function set_description($representative_id='', $description='') {

      if ($representative_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query ="UPDATE Representative SET Description='".$db->encode_string($description)."' WHERE Representative_ID=$representative_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }
     
  }      // End of Class Representative
?>
