<?php

  include_once($offset."class.pm_common.inc");
 

  class User {

    var $user_id;
    var $first_name;
    var $last_name;
    var $user_ldap_dn;
    var $user_group_id;
    var $status;
    var $description;
    var $user_id_log;
	
    var $fn_cache;
    var $ln_cache;
    
    var $user_id_list;
    var $user_name_list;

    function User($user_id=''){

       $this->user_id=$user_id;
       $this->fn_cache = array();
       $this->ln_cache = array();
    }


    function new_user($user, $user_id_log) {

      $check=$this->check_params($user, $user_id_log);
      if (strcmp($check,"") == 0)  {
        $db = new DB_Management;
        $db->open_db();
        $query ="INSERT INTO User (FirstName, LastName, UserGr_ID, Employment_ID, Ldap_DN, Status, Description, User_ID_Log) VALUES (";
        $query = $query."'".$db->encode_string($user->first_name)."', ";
        $query = $query."'".$db->encode_string($user->last_name)."', ";
        $query = $query."$user->user_group_id, ";
        $query = $query."'$user->employment_id', ";
        $query = $query."'".$db->encode_string($user->user_ldap_dn)."', ";
        $query = $query."'$user->status', ";
        $query = $query."'".$db->encode_string($user->description)."', ";
        $query = $query."$user_id_log )";

        $db->execute_query($query);

        if ($db->get_affected_rows() >0 ) {
          $new_user_id = $db->get_insert_id('User','User_ID');
        } else {
          $new_user_id=-1;
        }
        $db->close_db();
        return $new_user_id;
      } else {
          $error = new Error_Management;
          $error->error_page(0,$check);
          die();
      }
    }


    function edit_user($user, $user_id_log) {

      $check=$this->check_params($user, $user_id_log);
      if (($user->user_id > 0) && (strcmp($check,"") == 0))  {
        $db = new DB_Management;
        $db->open_db();
        $query ="UPDATE User SET ";
        $query = $query."FirstName='".$db->encode_string($user->first_name)."', ";
        $query = $query."LastName='".$db->encode_string($user->last_name)."', ";
        $query = $query."UserGr_ID=$user->user_group_id, ";
        $query = $query."Employment_ID='$user->employment_id', ";
        $query = $query."Ldap_DN='".$db->encode_string($user->user_ldap_dn)."', ";
        $query = $query."Status='$user->status', ";
        $query = $query."Description='".$db->encode_string($user->description)."', ";
        if(!empty($user->entries_per_page)) {
        	$query = $query."Entries_Per_Page='".$db->encode_string($user->entries_per_page)."', ";
        }
        $query = $query."User_ID_Log=$user_id_log ";
        $query = $query."WHERE User_ID=$user->user_id";

        $edit_result=$db->execute_query($query);
        $db->close_db();
        return $edit_result;
      } else {
          $error = new Error_Management;
          $error->error_page(0,$check);
          die();
      }
    }

     function delete_user($user_id='') {

        if ($user_id > 0 ) {
          $query ="DELETE FROM User WHERE User_ID=$user_id";
          $db = new DB_Management;
          $db->open_db();
          $delete_result = $db->execute_query($query);
          $db->close_db();
          return $delete_result;
        } else {
          $error = new Error_Management;
          $error->error_page(30,'');
          die();
        }
    }


    function get_user($user_id='') {

      if ($user_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT User.* FROM User, User_Group AS UsGr WHERE User.UserGr_ID=UsGr.UserGr_ID AND User_ID= $user_id";
        $result = $db->execute_query($query);

        while ($row = $db->fetch_row($result)) {
          $this->user_id= $row->User_ID;
          $this->first_name = $row->FirstName;
          $this->last_name = $row->LastName;
          $this->user_group_id= $row->UserGr_ID;
          $this->employment_id = $row->Employment_ID;
          $this->user_ldap_dn = $row->Ldap_DN;
          $this->status = $row->Status;
          $this->description = $row->Description;
          $this->entries_per_page = $row->Entries_Per_Page;
        }
        $db->close_db();
        return $this;
      }
      else {
        $error = new Error_Management;
        $error->error_page(30,'');
        die();
      }
    }
    
    
    function get_users($user_group_id='', $status='', $orderby='') {

        $user = array();

        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT User.* FROM User, User_Group AS UsGr WHERE User.UserGr_ID=UsGr.UserGr_ID";

        if (strcmp($user_group_id,'')!=0 && $user_group_id > 0) {
          $query = $query . " AND User.UserGr_ID= $user_group_id";
        }
        if ((strcmp($status,'A')==0) || (strcmp($status,'N')==0)) {
         $query = $query . " AND User.Status = '$status' ";
        }
        if (empty($orderby)) {
          $orderby="User_ID";
        }
        $query = $query . " ORDER BY ". $orderby;


        $result = $db->execute_query($query);

        $i=1;
        while ($row = $db->fetch_row($result)) {
          $this->user_id= $row->User_ID;
          $this->first_name = $row->FirstName;
          $this->last_name = $row->LastName;
          $this->user_group_id= $row->UserGr_ID;
          $this->employment_id = $row->Employment_ID;
          $this->user_ldap_dn = $row->Ldap_DN;
          $this->status = $row->Status;
          $this->description = $row->Description;
          $this->entries_per_page = $row->Entries_Per_Page;
          $user[$i]=$this;
          $i++;
        }

        $db->close_db();
        return $user;
    }




    function get_full_name($user_id='') {

      if ($user_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT CONCAT(FirstName,' ', LastName) AS PM_Username FROM User, User_Group AS UsGr WHERE User.UserGr_ID=UsGr.UserGr_ID AND User_ID= $user_id";
        $full_name = $db->get_single_value($query);

        $db->close_db();
        return $full_name;
      }
      return "";
    }


    function get_first_name($user_id='') {

      if ($user_id > 0) {

        if (strcmp($this->fn_cache[$user_id],"")==0) {
	  $db = new DB_Management;
	  $db->open_db();
          $query = "SELECT FirstName FROM User, User_Group AS UsGr WHERE User.UserGr_ID=UsGr.UserGr_ID AND User_ID= $user_id";
          $this->fn_cache[$user_id] = $db->get_single_value($query);
          $db->close_db();
        }

        return $this->fn_cache[$user_id];

      } else {
        $error = new Error_Management;
        $error->error_page(30,'');
        die();
      }
    }
    
    function get_last_name($user_id='') {

      if ($user_id > 0) {

	if (strcmp($this->ln_cache[$user_id],"")==0) {
          $db = new DB_Management;
          $db->open_db();

          $query = "SELECT LastName FROM User, User_Group AS UsGr WHERE User.UserGr_ID=UsGr.UserGr_ID AND User_ID= $user_id";
          $this->ln_cache[$user_id] = $db->get_single_value($query);

          $db->close_db();
        }
        return $this->ln_cache[$user_id];
      }
      else {
        $error = new Error_Management;
        $error->error_page(30,'');
        die();
      }
    }
    
     function get_user_ldap_dn($user_id='') {

      if ($user_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT Ldap_DN FROM User, User_Group AS UsGr WHERE User.UserGr_ID=UsGr.UserGr_ID AND User_ID= $user_id";
        $user_ldap_dn = $db->get_single_value($query);

        $db->close_db();
        return $user_ldap_dn;
      }
      else {
        $error = new Error_Management;
        $error->error_page(30,'');
        die();
      }
    }
    
    function get_user_group($user_id='') {

      if ($user_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT User.UserGr_ID FROM User, User_Group AS UsGr WHERE User.UserGr_ID=UsGr.UserGr_ID AND User_ID= $user_id";
        $user_group_id = $db->get_single_value($query);

        $db->close_db();
        return $user_group_id;
      }
      else {
        $error = new Error_Management;
        $error->error_page(30,'');
        die();
      }
    }

    function get_entries_per_page($user_id='') {

      if ($user_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT Entries_Per_Page FROM User WHERE User_ID= $user_id";
        $user_group_id = $db->get_single_value($query);

        $db->close_db();
        return $user_group_id;
      }
      else {
        $error = new Error_Management;
        $error->error_page(30,'');
        die();
      }
    }

    function fetch_all_users() {
      $db = new DB_Management;
      $db->open_db();

      $query = "SELECT User_ID, CONCAT(FirstName,' ',LastName) AS Name FROM User ORDER BY LastName, FirstName";

      $result = $db->execute_query($query);

      $this->user_id_list = array();
      $this->user_name_list = array();

      while ($row = $db->fetch_row($result)) {
        array_push($this->user_id_list,$row->User_ID);
        array_push($this->user_name_list,$row->Name);
      }

      $db->close_db();

//      array_multisort($this->user_name_list,$this->user_id_list);
    }


    function get_user_id_list() {
      return $this->user_id_list;
    }


    function get_user_name_list() {
      return $this->user_name_list;
    }


    function get_description($user_id='') {

      if ($user_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT User.Description FROM User, User_Group AS UsGr WHERE User.UserGr_ID=UsGr.UserGr_ID AND User_ID= $user_id";
        $description = $db->get_single_value($query);

        $db->close_db();
        return $description;
      }
      else {
        $error = new Error_Management;
        $error->error_page(30,'');
        die();
      }
    }
    
    function get_status($user_id='') {

      if ($user_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query = "SELECT User.Status FROM User, User_Group AS UsGr WHERE User.UserGr_ID=UsGr.UserGr_ID AND User_ID= $user_id";
        $status = $db->get_single_value($query);

        $db->close_db();
        return $status;
      }
      else {
        $error = new Error_Management;
        $error->error_page(30,'');
        die();
      }
    }


    function check_params($user, $user_id_log) {
    
      $check_message = i18n("F&uuml;r den/die Parameter ");
      $check_counter = 0;

      if (empty($user->first_name)) {
        $check_message = $check_message . i18n("Vorname");
        $check_counter++;
      }
      if (empty($user->last_name)) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("Nachname");
        $check_counter++;
      }
      if (empty($user->user_ldap_dn)) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("LDAP-DN");
        $check_counter++;
      }
      if ($user->user_group_id < 1) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("Benutzergruppe");
        $check_counter++;
      }
      if (!((strcmp($user->status,"A") == 0) || (strcmp($user->status,"N") == 0))) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("Status");
        $check_counter++;
      }
      
      if ($user_id_log < 1) {
        if ($check_counter>0){
          $check_message = $check_message . ", ";
        }
        $check_message = $check_message . i18n("Benutzer-ID");
        $check_counter++;
      }

      $check_message = $check_message . i18n(" wurden keine oder falsche Werte eingegeben! &Uuml;berpr&uuml;fen Sie ihre Eingabe nochmal!");


      if ($check_counter == 0) {
        $check_message="";
      }
      return $check_message;
    }
    
    
    function set_first_name($user_id='', $first_name='') {

      if (($user_id > 0) && (strcmp($first_name,"") != 0)){
        $db = new DB_Management;
        $db->open_db();

	$this->fn_cache[$user_id] = $db->encode_string($first_name);

        $query ="UPDATE User SET FirstName='".$db->encode_string($first_name)."' WHERE User_ID=$user_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }
    
    function set_last_name($user_id='', $last_name='') {

      if (($user_id > 0) && (strcmp($last_name,"") != 0)){
        $db = new DB_Management;
        $db->open_db();

	$this->ln_cache[$user_id] = $db->encode_string($last_name);

        $query ="UPDATE User SET LastName='".$db->encode_string($last_name)."' WHERE User_ID=$user_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }
    
    function set_user_ldap_db($user_id='', $user_ldap_dn='') {

      if (($user_id > 0) && (strcmp($user_ldap_dn,"") != 0)){
        $db = new DB_Management;
        $db->open_db();

        $query ="UPDATE User SET Ldap_DN='".$db->encode_string($user_ldap_dn)."' WHERE User_ID=$user_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }
    
    
    function set_user_group($user_id='', $user_group_id='') {

      if (($user_id > 0) && ($user_group_id > 0)){
        $db = new DB_Management;
        $db->open_db();

        $query ="UPDATE User SET UserGr_ID=$user_group_id WHERE User_ID=$user_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }
    
    function set_status($user_id='', $status='') {

      if (($user_id > 0) && ((strcmp($status,"A") == 0) || (strcmp($status,"N") == 0))){
        $db = new DB_Management;
        $db->open_db();

        $query ="UPDATE User SET Status='$status' WHERE User_ID=$user_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }


    function set_description($user_id='', $description='') {

      if ($user_id > 0) {
        $db = new DB_Management;
        $db->open_db();

        $query ="UPDATE User SET Description='".$db->encode_string($description)."' WHERE User_ID=$user_id";
        $update_result=$db->execute_query($query);
        $db->close_db();
        return $update_result;
      } else {
          $error = new Error_Management;
          $error->error_page(2,'');
          die();
      }
    }
    
    
  }      // End of Class User
?>
