<?php

	 $rootdir = '../..';
	 require_once("$rootdir/classes/common.php");
	 require_once("$rootdir/classes/DBConnection.php");
	 $conn = DBConnection();
	 $conn->setFetchMode(DB_FETCHMODE_OBJECT);
	 $dailyAllowanceList = &$conn->getAll('select * from DailyAllowance where Status=\'A\' order by DailyAllowance_Name');
	 $conn->disconnect();	 
	 
     $offset = "../../includes/";
     
     require_once($offset."class.util.inc");
     $timer = new Timer;

     require_once($offset."class.performance.inc");
     require_once($offset."class.pm_common.inc");
     require_once($offset."class.user.inc");
     require_once($offset."class.location.inc");
     require_once($offset."class.project_assignment.inc");
     require_once($offset."class.billtype.inc");
     

     $pm_common= new PM_Common;
     
     if ($pm_common->check_login($system_user_id, $system_user_group_id ) != $secure_check) {
       $error = new Error_Management;
       $error->error_page(1,'');
       die();
     }

     $normal_user = $system_user_group_id > 2;

     echo "<!-- ".$timer->stop()." -->\n";
     if (($normal_user)) {
        $p_assignment_roles = Project_Assignment::get_p_assignment_roles($system_user_id,'','','A','');
        $p_assignment_roles[0] = array();
     }  else {
     	$p_assignment_roles[0][1] = 1;
     }
     list($project_id_list, $project_name_list) = Project::getProjectTree('A', &$p_assignment_roles);
     echo "<!-- getProjectTree: ".$timer->stop()." -->\n";
	
     /* no more reloads */

     echo "<!-- ".$timer->stop()." -->\n"; 

     $user = new User;
     $user->fetch_all_users();
     $user_id_list = $user->get_user_id_list();
     $user_name_list = $user->get_user_name_list();
     

     echo "<!-- ".$timer->stop()." -->\n"; 
     
     $location= new Location;
     $location_array = $location->get_locations();
     for($i=1; $i <= count($location_array); $i++) {
       $location_id_list[$i]=$location_array[$i]->location_id;
       $location_name_list[$i] = $location_array[$i]->location_name;
     }

     $bill_type = new BillType;
     $bill_type_array = $bill_type->get_bill_types();
     for ($i=0;$i<count($bill_type_array); $i++) {
       $bill_type_id_list[$i] = $bill_type_array[$i]->bill_type_id;
       $bill_type_name_list[$i] = $bill_type_array[$i]->bill_type_name;
     }

     if (!isset($status)) {
       $status="A";
     }
     if (!isset($project_role_id)) {
       $project_role_id=3;
     }

    if (strcmp($action,'update') == 0) {

      $project_assignment =new Project_Assignment;

      if ($project_id > 0 ) {
        $user_is_higher_pm=$project_assignment->user_is_higher_pm($system_user_id,$project_id);
      } else {
        $user_is_higher_pm=false;
      }

      if (($system_user_group_id != 1) && ($system_user_id != $selected_user_id) && (!$user_is_higher_pm)) {
        $error = new Error_Management;
        $error->error_page(1,'');
        die();
      }

      if ($selected_performance_id<1) {
        $error = new Error_Management;
        $error->error_page(60,'');
        die();
      }

      echo "<!-- ".$timer->stop()." -->\n"; 

      $performance = new Performance;
      $performance = $performance->get_performance($selected_performance_id);

      $performance_id=$performance->performance_id;
      $p_assignment_id=$performance->p_assignment_id;
      
      if (strcmp($load_action,'get_users') != 0) {
        $user_id=$project_assignment->get_user_id($p_assignment_id);
        $project_id=$project_assignment->get_project_id($p_assignment_id);
      }
      
      $project_role_id=$project_assignment->get_project_role_id($p_assignment_id);
      
      $location_id=$performance->location_id;
      $perf_type_id=$performance->perf_type_id;
      $inchargeable = $performance->inchargeable;
      $work_date=$performance->work_date;
        $work_day=substr($work_date,-2);
        $work_month=substr($work_date,5,2);
        $work_year= substr($work_date,0,4);
      $start_time=$performance->start_time;
      $end_time=$performance->end_time;
      $duration=$performance->duration;
      $status=$performance->status;
      $travel = $performance->travel;
      $km= $performance->km;
      $km_passenger = $performance->km_passenger;
      $dailyallowance_id = $performance->dailyallowance_id;
      $expensesAmount = $performance->expensesAmount;
      $expensesText = $performance->expensesText;
      $description=$performance->description;
      $bill_type_id = $performance->bill_type_id;
      
      $duration_hour=substr($duration,0,2);
      $duration_minute=substr($duration,3,2);
      
      //Check Sonderfall Beginnzeit ist 00:00:00 und nicht NULL
      if ((strcmp($start_time,"00:00:00") == 0) && (strcmp($end_time,"00:00:00") == 0) && (strcmp($duration,"00:00:00") != 0)) {
        $start_time_hour="";
        $start_time_minute="";
        $end_time_hour="";
        $end_time_minute="";
      } else {
        $start_time_hour=substr($start_time,0,2);
        $start_time_minute=substr($start_time,3,2);
        $end_time_hour=substr($end_time,0,2);
        $end_time_minute=substr($end_time,3,2);
      }

    }
    
    
    if ((strcmp($action,'edit') == 0) || (strcmp($action,'add') == 0)) {

      $performance = new Performance;
      $work_date=sprintf ("%04d-%02d-%02d", $work_year, $work_month, $work_day);

      if ((!empty($start_time_hour)) && (!empty($start_time_minute))) {
        $start_time=sprintf("%02d:%02d:00", $start_time_hour, $start_time_minute);
      }
      if ((!empty($end_time_hour)) && (!empty($end_time_minute))) {
        $end_time=sprintf("%02d:%02d:00", $end_time_hour, $end_time_minute);
      }

      if (strcmp($duration, "none") != 0) {
        if ((!empty($duration_hour)) && (!empty($duration_minute))) {
          if ($pm_common->check_time(sprintf("%02d:%02d:00", $duration_hour, $duration_minute))) {
            $check_duration=sprintf("%02d:%02d", $duration_hour, $duration_minute);
            if ($pm_common->get_time_difference($duration, $check_duration) == "00:00:00") {
              $duration=$duration.":00";
            } else {
              $duration=-1;
            }
          } else {
            $duration=-1;
          }
        } else {
          $duration=$duration.":00";
        }
      } elseif (($pm_common->check_time(sprintf("%02d:%02d:00", $duration_hour, $duration_minute)))&&(empty($start_time))&& (empty($end_time))) {
        $duration=sprintf("%02d:%02d:00", $duration_hour, $duration_minute);
      } elseif (($pm_common->check_time($start_time)) && ($pm_common->check_time($end_time))) {
        $duration=$pm_common->get_time_difference($start_time, $end_time);
      } else {
        $duration=-1;
      }

  // *** testen
  	  $project_assignment = new Project_Assignment;
      $exist_p_assignment = $project_assignment->exist_p_assignment($project_id, $user_id, $project_role_id,'A');
      
      if ($exist_p_assignment>0) {
        $p_assignment_array=$project_assignment->get_p_assignments($user_id, $project_id, $project_role_id,'A','');
        $p_assignment_id = $p_assignment_array[1]->p_assignment_id;
      } else {
        $p_assignment_id=-1;
      }
      $performance->user_id = $user_id;
      $performance->project_id= $project_id;
      $performance->p_assignment_id = $p_assignment_id;
      $performance->location_id = $location_id;
      $performance->perf_type_id = $perf_type_id;
      $performance->inchargeable = $inchargeable ? $inchargeable : 'n';
      $performance->work_date = $work_date;
      $performance->start_time = $start_time;
      $performance->end_time = $end_time;
      $performance->duration = $duration;
      $performance->travel = $travel;
      $performance->km = $km;
      $performance->km_passenger = $km_passenger;
      $performance->dailyallowance_id = $dailyallowance_id;
      $performance->expensesAmount = $expensesAmount;
      $performance->expensesText = $expensesText;
      $performance->status = $status;
      $performance->description = $description;
      $performance->bill_type_id = $bill_type_id;

      $is_unique = true;

      if (strcmp($action,'add') == 0) {
        $check_message = $performance->check_params($performance, $system_user_id);

        if (strcmp($check_message,"")!=0) {

          $user_id_list=array();
          $user_name_list=array();
          $user_index=0; // counter for user_id_list
          $user_is_higher_pm=$project_assignment->user_is_higher_pm($system_user_id,$project_id);
          if (($user_is_higher_pm) || ($system_user_group_id == 1) || ($system_user_group_id == 2)) {
            $show_user_id='';
          } else {
            $show_user_id=$system_user_id;
          }
          $emp_p_assignment_array=$project_assignment->get_p_assignments($show_user_id, $project_id, '', 'A','User_ID');
          for($j=1; $j <= count($emp_p_assignment_array); $j++) {
            $check_user_id=$emp_p_assignment_array[$j]->user_id;
            if (!(in_array($check_user_id,$user_id_list))) {
              $user_id_list[$user_index]=$emp_p_assignment_array[$j]->user_id;
              $user_name_list[$user_index] = User::get_full_name($user_id_list[$user_index]);
              //$user_first_name_list[$user_index] = User::get_first_name($user_id_list[$user_index]);
              $user_last_name_list[$user_index] = User::get_last_name($user_id_list[$user_index]);
              $user_index++;
            }
          }
          if (count($user_id_list) > 1) {
            array_multisort($user_last_name_list,$user_name_list,$user_id_list);
          }

        }

        $is_unique = $performance->check_uniqueness();
        if (strcmp($check_message,"") == 0 && $is_unique) {
          $new_performance_id=$performance->new_performance($performance, $system_user_id);
          if ($new_performance_id < 1) {
            $error = new Error_Management;
            $error->error_page(52,'');
            die();
          }
        }
      } elseif (strcmp($action,'edit')==0) {
        $performance->performance_id = $selected_performance_id;
        $check_message = $performance->check_params($performance, $system_user_id);
        if (strcmp($check_message,"")!=0) {
          if (strcmp($check_message,"")!=0) {

            $user_id_list=array();
            $user_name_list = array();
            $user_last_name_list = array();
            $user_index=0; // counter for user_id_list
            $user_is_higher_pm=$project_assignment->user_is_higher_pm($system_user_id,$project_id);
            if (($user_is_higher_pm) || ($system_user_group_id == 1) || ($system_user_group_id == 2)) {
              $show_user_id='';
            } else {
              $show_user_id=$system_user_id;
            }
            $emp_p_assignment_array=$project_assignment->get_p_assignments($show_user_id, $project_id, '', 'A','User_ID');
            for($j=1; $j <= count($emp_p_assignment_array); $j++) {
              $check_user_id=$emp_p_assignment_array[$j]->user_id;
              if (!(in_array($check_user_id,$user_id_list))) {
                $user_id_list[$user_index]=$emp_p_assignment_array[$j]->user_id;
                $user_name_list[$user_index] = User::get_full_name($user_id_list[$user_index]);
                //$user_first_name_list[$user_index] = User::get_first_name($user_id_list[$user_index]);
                $user_last_name_list[$user_index] = User::get_last_name($user_id_list[$user_index]);
                $user_index++;
              }
            }
            if (count($user_id_list) > 1) {
              array_multisort($user_last_name_list, $user_name_list,$user_id_list);
            }

          }

        }
        if ((strcmp($check_message,"") == 0) && ($selected_performance_id > 0)) {
          $edit_result=$performance->edit_performance($performance, $system_user_id);
          if ($edit_result != 1) {
            $error = new Error_Management;
            $error->error_page(53,'');
            die();
          }
        }
      } else {
        $error = new Error_Management;
        $error->error_page(2,'');
        die();
      }
    }

    require_once($offset."class.project_role.inc");
    $project_role_array = new Project_Role;
    $project_role_array =$project_role_array->get_project_roles();
    for($i=1; $i <= count($project_role_array); $i++) {
      $p_role_id_list[$i] = $project_role_array[$i]->project_role_id;
      $p_role_name_list[$i] =$project_role_array[$i]->p_role_name;
    }
    session_register("p_role_id_list");
    session_register("p_role_name_list");

    echo "<!-- ".$timer->stop()." -->\n"; 

    require_once($offset."class.performance_type.inc");
    $perf_type_array = new Performance_Type;
    $perf_type_array =$perf_type_array->get_perf_types();
    for($i=1; $i <= count($perf_type_array); $i++) {
      $perf_type_id_list[$i] = $perf_type_array[$i]->perf_type_id;
      $perf_type_name_list[$i] = $perf_type_array[$i]->perf_type_name;
    }
    session_register("perf_type_id_list");
    session_register("perf_type_name_list");

?>

<script language="JavaScript1.2" type="text/javascript">
<!--

     function get_users_of_project(pda_version) {

       var action;
       var url;

       <?php
           printf("action = '%s';\n", addslashes($action));
           printf("selected_performance_id = '%s';\n", addslashes($selected_performance_id));
       ?>

       if (pda_version) {
         url='pda_performance.php?action='+action+'&load_action=get_users';
       } else {
         url='performance_tmpl.php?action='+action+'&load_action=get_users';
       }

       if (action == 'update') {
         url= url+'&selected_performance_id='+selected_performance_id;
       }

       for(i=0;i<document.performance_form.project_id.length;++i) {
         if(document.performance_form.project_id.options[i].selected == true) {
           url= url+'&project_id='+document.performance_form.project_id.options[i].value;
         }
       }

       for(i=0;i<document.performance_form.user_id.length;++i) {
         if(document.performance_form.user_id.options[i].selected == true) {
           url=url+'&user_id='+document.performance_form.user_id.options[i].value;
         }
       }

       location.href=url;
     }
//-->
</script>
