<?php

     $offset = "../../includes/";

     require_once($offset."class.project.inc");
     require_once($offset."class.project_assignment.inc");
     require_once($offset."class.customer_assignment.inc");
     require_once($offset."class.representative_assignment.inc");
     require_once($offset."class.performance.inc");

     if (PM_Common::check_login($system_user_id, $system_user_group_id ) != $secure_check) {
       $error = new Error_Management;
       $error->error_page(1,'');
       die();
     }
     
     if ($system_user_group_id != 1)  {
       $error = new Error_Management;
       $error->error_page(1,'');
       die();
     }
     
     $project = new Project($selected_project_id);
     $p_assignment = new Project_Assignment;
     $c_assignment = new Customer_Assignment;
     $r_assignment = new Representative_Assignment;
     $performance = new Performance;
     

     if (strcmp($action,'deactivate') == 0) {
       $project_tree_array=$project->get_project_tree($selected_project_id,'A');
       $project_id_array=$project_tree_array['project_id'];
       if (count($project_id_array) == 0) {
         $deactivate_result=$project->set_status_id($selected_project_id,5,$system_user_id);
         if ($deactivate_result != 1) {
           $error = new Error_Management;
           $error->error_page(24,'');
           die();
         }
       } else {
         $error = new Error_Management;
         $error->error_page(26,'');
         die();
       }
     }

     if (strcmp($action,'delete') == 0) {

       $project_tree_array=$project->get_project_tree($selected_project_id,'');
       $project_id_array=$project_tree_array['project_id'];
       if (count($project_id_array) != 0) {
         $error = new Error_Management;
         $error->error_page(27,'');
         die();
       }


       $p_assignment_array =$p_assignment->get_p_assignments('',$selected_project_id,'','','');
       for($i=1; $i <= count($p_assignment_array); $i++) {
         $p_assignment_id[$i] = $p_assignment_array[$i]->p_assignment_id;

         $performance_array =$performance->get_performances($p_assignment_id[$i],'','','','','','');
         for($j=1; $j <= count($performance_array); $j++) {
           $performance_id[$j] = $performance_array[$j]->performance_id;
           $delete_result=$performance->delete_performance($performance_id[$j]);
           if ($delete_result != 1) {
             $error = new Error_Management;
             $error->error_page(165,'');
            die();
           }
         }
           
         $delete_result=$p_assignment->delete_p_assignment($p_assignment_id[$i]);
         if ($delete_result != 1) {
           $error = new Error_Management;
           $error->error_page(165,'');
           die();
         }
       }
       
       $c_assignment_array =$c_assignment->get_c_assignments('',$selected_project_id,'');
       for($i=1; $i <= count($c_assignment_array); $i++) {
         $c_assignment_id[$i] = $c_assignment_array[$i]->c_assignment_id;

         $r_assignment_array =$r_assignment->get_r_assignments($c_assignment_id[$i],'','');
         for($j=1; $j <= count($r_assignment_array); $j++) {
           $r_assignment_id[$j] = $r_assignment_array[$j]->r_assignment_id;
           $delete_result=$r_assignment->delete_r_assignment($r_assignment_id[$j]);
           if ($delete_result != 1) {
             $error = new Error_Management;
             $error->error_page(185,'');
            die();
           }
         }
         $delete_result=$c_assignment->delete_c_assignment($c_assignment_id[$i]);
         if ($delete_result != 1) {
           $error = new Error_Management;
           $error->error_page(175,'');
          die();
         }
       }

       $project->delete_order_number($selected_project_id);
       
       $delete_result=$project->delete_project($selected_project_id);
       if ($delete_result != 1) {
         $error = new Error_Management;
         $error->error_page(25,'');
         die();
       }
     }

?>

 <script language="JavaScript1.2" type="text/javascript">
 <!--
    <?php
       printf("deactivate_result = '%s';\n", addslashes($deactivate_result));
       printf("delete_result = '%s';\n", addslashes($delete_result));
       printf("source = '%s';\n", addslashes($source));
     ?>

     if (deactivate_result == 1) {
       alert("<?php echo i18n("Das Projekt wurde inaktiv gesetzt!"); ?>");
     }
     if (delete_result == 1) {
       alert("<?php echo i18n("Das Projekt wurde gel&ouml;scht!"); ?>");
     }
     if (source == 'overview') {
       parent.location.href='../../show_project.php';
     }
     if (source == 'detail') {
       location.href='../../show_project.php';
     }
     
 //-->
 </script>


