<?php

     $offset = "../../includes/";

     require_once($offset."class.project.inc");
     require_once($offset."class.customer_assignment.inc");
     require_once($offset."class.customer.inc");
     require_once($offset."class.representative.inc");
     require_once($offset."class.representative_assignment.inc");
     require_once($offset."class.priority.inc");
     require_once($offset."class.status.inc");
     require_once($offset."class.project_assignment.inc");
     require_once($offset."class.user.inc");
     require_once($offset."class.project_role.inc");
     require_once($offset."class.performance.inc");

     $pm_common = new PM_Common;

     if ($pm_common->check_login($system_user_id, $system_user_group_id ) != $secure_check) {
       $error = new Error_Management;
       $error->error_page(1,'');
       die();
     }
     
     if (session_is_registered("selected_project_id")) {
       session_unregister("selected_project_id");
     }
     unset($selected_project_id);


     if ($project_id > 0) {

        $p_assignment = new Project_Assignment();
        $user_is_higher_pm=$p_assignment->user_is_higher_pm($system_user_id,$project_id);

        $project = new Project;
        $project = $project->get_project($project_id);

        // Projectdata from Project
        $project_id=$project->project_id;

        $project_name = $project->project_name;
        $target_working_time = $project->target_working_time;
        $target_start_date=$pm_common->format_date($project->target_start_date);
        $real_start_date=$pm_common->format_date($project->real_start_date);
        if (strcmp($real_start_date,'00.00.0000') == 0) {
          $real_start_date=i18n('nicht eingetragen');
        }
        $target_end_date=$pm_common->format_date($project->target_end_date);
        $real_end_date=$pm_common->format_date($project->real_end_date);
        if (strcmp($real_end_date,'00.00.0000') == 0) {
          $real_end_date=i18n('nicht eingetragen');
        }
        $estimated_progress = $project->progress;
        $status_id = $project->status_id;
        $priority_id = $project->priority_id;

        $priority= new Priority;
        $priority_type = $priority->get_priority_type($priority_id);
        
        $status= new Status;
        $status_type = $status->get_status_type($status_id);
        
        // Customer_Names
        $c_assignment_array = new Customer_Assignment;
        $c_assignment_array=$c_assignment_array->get_c_assignments('', $project_id,'');

        $customer = new Customer;
        
        for($i=1; $i <= count($c_assignment_array); $i++) {
          $c_assignment=$c_assignment_array[$i];
          $c_assignment_id[$i]=$c_assignment->c_assignment_id;
          $customer_id[$i]=$c_assignment->customer_id;
          $cust_name[$i] = $customer->get_customer_name($customer_id[$i]);
        }
        
        // Representatives
        $r_assignment = new Representative_Assignment;

        $k=1;
        for($i=1; $i <= count($c_assignment_id); $i++) {
          $r_assignment_array =$r_assignment->get_r_assignments($c_assignment_id[$i],'','');
          if (count($r_assignment_array) == 0) {
            $customer_name[$k] = $cust_name[$i];
            $k++;
          }
          for($j=1; $j <= count($r_assignment_array); $j++) {
            $rep_id[$k] = $r_assignment_array[$j]->representative_id;
            $rep_name[$k] =  Representative::get_representative_name($rep_id[$k]);
            $customer_name[$k] = $cust_name[$i];
            $k++;
          }
        }
        
        // Employees
        $employees= new Project_Assignment;
        $user = new User;
        $p_role = new Project_Role;
        $performance = new Performance;
//        $sum_duration="00:00";
        $user_id=array();
        
        $employee_array = $employees->get_p_assignments('',$project_id,'','A','');
        for($i=1; $i <= count($employee_array); $i++) {
          $employees = $employee_array[$i];
          $p_assignment_id[$i] = $employees->p_assignment_id;
          $user_id[$i] = $employees->user_id;
          $employee_name[$i] = $user->get_full_name($user_id[$i]);
/*
          $temp_sum_duration = $performance->get_sum_duration($p_assignment_id[$i],'','','','','A');
          $sum_duration = $pm_common->time_addition($sum_duration,$temp_sum_duration);
*/
        }
        
        $pm_user_id=$employees->get_project_manager($project_id);
        session_register("pm_user_id");
        if ($pm_user_id > 0) {
          $pm_username=$user->get_full_name($pm_user_id);
        } else {
          $pm_username="N.N.";
        }
        $qa_user_id=$employees->get_qa_manager($project_id);
        if ($qa_user_id > 0) {
          $qa_username=$user->get_full_name($qa_user_id);
        } else {
          $qa_username="N.N.";
        }

	    require_once("$offset/class.PerformanceCache.php");
	    $performanceCache = &new PerformanceCache;
	    $performanceCache->Project_ID = $project_id;
	    $performanceCache->subProjectFlag = TRUE;
/*
        $real_working_time= $pm_common->time_to_real($sum_duration);
        $real_working_time=sprintf('%01.2f',$real_working_time);
*/
	    $real_working_time = $performanceCache->querySumDuration() / 3600;
	    echo "<!-- real working time = $real_working_time -->\n";

        if ($target_working_time > 0) {
          $real_progress = ($real_working_time/$target_working_time) * 100;
          $real_progress=sprintf("%01d",$real_progress);
        } else {
          $real_progress="--";
        }

    } else {
      $error = new Error_Management;
      $error->error_page(20,'');
      die();
    }


?>


