<?php  

  
   $offset = "../../includes/";
   include_once($offset."class.project.inc");
   
   if (PM_Common::check_login($system_user_id, $system_user_group_id ) != $secure_check) {
     $error = new Error_Management;
     $error->error_page(1,'');
     die();
   }
   
   if(isset($PATH_INFO)) {
     $script=$PATH_INFO;
   } else {
     $script=$SCRIPT_NAME;
   }

   $image_offset="../../images/";

   $img_expand   = $image_offset."tree_expand.gif";
   $img_collapse = $image_offset."tree_collapse.gif";
   $img_line     = $image_offset."tree_vertline.gif";
   $img_split	 = $image_offset. "tree_split.gif";
   $img_end      = $image_offset."tree_end.gif";
   $img_leaf     = $image_offset."tree_leaf.gif";
   $img_spc      = $image_offset."tree_space.gif";


   $projects = new Project;
   
   switch ($p_selection) {
   case 'all':
       $project_tree_array=$projects->get_project_tree(0,'');
       break;
   case 'active':
     	$project_tree_array=$projects->get_project_tree(0,'A');
     	break;
   case 'finished':
     	$project_tree_array=$projects->get_project_tree(0,'F');
     	break;
   default:
        $project_tree_array=$projects->get_project_tree(0,'R');
   }

   $project_id_array=$project_tree_array['project_id'];
   $project_name_array=$project_tree_array['project_name'];
   $project_depth_array=$project_tree_array['project_depth'];

   for($i=1; $i <= count($project_id_array); $i++) {
     $project_id[$i]=$project_id_array[$i];
     $project_name[$i]=$project_name_array[$i];
     $project_depth[$i]=$project_depth_array[$i]+1;
   }

  if($pid) {
  	$k = array_search($pid, $project_id)-1;
  	$p = "";
  	while($k>=0) {
  		$p = $p ? "$k|$p" : "#$k";
	  	$depth = $project_depth[$k+1];
	  	while($project_depth[$k--] >= $depth) {}
  	}
  	unset($k, $depth);
  }

  $maxlevel=0;
  

  /*********************************************/
  /* tree[x][0] -> tree level                  */
  /* tree[x][1] -> item text                   */
  /* tree[x][2] -> item link                   */
  /* tree[x][3] -> link target                 */
  /* tree[x][4] -> last item in subtree        */
  /*********************************************/

  
  for ($i=1; $i<= (count($project_id)); $i++) {
    $tree[$i-1][0]=$project_depth[$i];
    $tree[$i-1][1]=$project_name[$i];
//    $tree[$i-1][2]="../templates/p_data_overview_tmpl.php?project_id=$project_id[$i]";
    $tree[$i-1][2]="../templates/overview.php?system_user_id=$system_user_id&project_id=$project_id[$i]";
    $tree[$i-1][3]="p_data_overview";
    $tree[$i-1][4]=0;
    if ($tree[$i-1][0] > $maxlevel) {
      $maxlevel=$tree[$i-1][0];
    }
  }

  for ($i=0; $i<count($tree); $i++) {
     $expand[$i]=0;
     $visible[$i]=0;
     $levels[$i]=0;
  }

  /*********************************************/
  /*  Get Node numbers to expand               */
  /*********************************************/
 
  if (!empty($p)) {
    $explevels = explode("|",$p);
  }
  
  $i=0;
  while($i<count($explevels)) {
    $expand[$explevels[$i]]=1;
    $i++;
  }
  
  /*********************************************/
  /*  Find last nodes of subtrees              */
  /*********************************************/
  
  $lastlevel=$maxlevel;
  for ($i=count($tree)-1; $i>=0; $i--) {
     if ( $tree[$i][0] < $lastlevel ) {
       for ($j=$tree[$i][0]+1; $j <= $maxlevel; $j++) {
          $levels[$j]=0;
       }
     }
     if ( $levels[$tree[$i][0]]==0 ) {
       $levels[$tree[$i][0]]=1;
       $tree[$i][4]=1;
     } else {
       $tree[$i][4]=0;
     }
     $lastlevel=$tree[$i][0];
  }
  
  
  /*********************************************/
  /*  Determine visible nodes                  */
  /*********************************************/
  
// all root nodes are always visible
  for ($i=0; $i < count($tree); $i++)  {
    if ($tree[$i][0]==1) {
      $visible[$i]=1;
    }
  }


  for ($i=0; $i < count($explevels); $i++) {
    $n=$explevels[$i];
    if (($visible[$n]==1) && ($expand[$n]==1)) {
      $j=$n+1;
      while ($tree[$j][0] > $tree[$n][0]) {
        if ($tree[$j][0]==$tree[$n][0]+1) {
          $visible[$j]=1;
        }
        $j++;
      }
    }
  }
  
  
  /*********************************************/
  /*  Output nicely formatted tree             */
  /*********************************************/
   echo "<html>\n";
   echo "<head>\n";
   echo "<!--";
     echo "<meta http-equiv='pragma' content='no-cache'>\n";
     echo "<meta http-equiv='expires' content='0'>\n";
     echo "<meta http-equiv='cache-control' content='must-revalidate'>\n";
   echo "-->";
   echo "<meta http-equiv='Content-Type' content='text/html; charset=".i18n("Charset")."'>\n";
     echo "<title>".i18n("Projektbaum")."</title>\n";
     echo "<link rel='stylesheet' type='text/css' href='../../includes/pm_style.css'>\n";
   echo "</head>";

   echo "<body link='#666666' alink='#cc0033' vlink='#999999' text='#666666'>\n";
     echo "<br>\n";
     echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'>\n";
       echo "<tr>\n";
         echo "<td align='left'>\n";
  
  for ($i=0; $i<$maxlevel; $i++) {
    $levels[$i]=1;
  }

  $maxlevel++;
  
  echo "<table cellspacing=0 cellpadding=0 border=0 cols=".($maxlevel+3)." width=100%>\n";
  echo "<tr>";
  for ($i=0; $i<$maxlevel; $i++) {
     echo "<td width=16></td>";
  }
  echo "<td width=100%>&nbsp;</td></tr>\n";
  $ctr=0;
  while ($ctr<count($tree))
  {
    if ($visible[$ctr])
    {
      /****************************************/
      /* start new row                        */
      /****************************************/      
      echo "<tr>";
      
      /****************************************/
      /* vertical lines from higher levels    */
      /****************************************/
      $i=0;
      while ($i<$tree[$ctr][0]-1) {
        if ($levels[$i]==1) {
          echo "<td><a name='$ctr'></a><img src=\"".$img_line."\"></td>";
        } else {
          echo "<td><a name='$ctr'></a><img src=\"".$img_spc."\"></td>";
        }
        $i++;
      }
      
      /****************************************/
      /* corner at end of subtree or t-split  */
      /****************************************/         
      if ($tree[$ctr][4]==1) {
        echo "<td><img src=\"".$img_end."\"></td>";
        $levels[$tree[$ctr][0]-1]=0;
      } else {
        echo "<td><img src=\"".$img_split."\"></td>";                  
        $levels[$tree[$ctr][0]-1]=1;
      } 
      
      /********************************************/
      /* Node (with subtree) or Leaf (no subtree) */
      /********************************************/
      if ($tree[$ctr+1][0]>$tree[$ctr][0])
      {
        
        /****************************************/
        /* Create expand/collapse parameters    */
        /****************************************/
        $i=0; $params="?p_selection=$p_selection&p=";
        while($i<count($expand))
        {
          if ( ($expand[$i]==1) && ($ctr!=$i) || ($expand[$i]==0 && $ctr==$i))
          {
            $params=$params.$i;
            $params=$params."|";
          }
          $i++;
        }
               
        if ($expand[$ctr]==0)
            echo "<td><a href=\"".$script.$params."#$ctr\"><img src=\"".$img_expand."\" border=no></a></td>";
        else
            echo "<td><a href=\"".$script.$params."#$ctr\"><img src=\"".$img_collapse."\" border=no></a></td>";
      }
      else
      {
        /*************************/
        /* Tree Leaf             */
        /*************************/

        echo "<td><img src=\"".$img_leaf."\"></td>";         
      }
      
      /****************************************/
      /* output item text                     */
      /****************************************/
      if ($tree[$ctr][2]=="")
          echo "<td colspan=".($maxlevel-$tree[$ctr][0]).">".$tree[$ctr][1]."</td>";
      else
          echo "<td colspan=".($maxlevel-$tree[$ctr][0])."><a href=\"".$tree[$ctr][2]."\" target=\"".$tree[$ctr][3]."\">".$tree[$ctr][1]."</a></td>";
          
      /****************************************/
      /* end row                              */
      /****************************************/
              
      echo "</tr>\n";      
    }
    $ctr++;
  }

  echo "</table>\n";

  echo "</td>\n";
      echo "</tr>\n";
    echo "</table>\n";
  echo "</body>\n";
echo "</html>\n";
?>
