 <?php

     $offset = "../../includes/";

     require_once($offset."class.project.inc");
     require_once($offset."class.project_assignment.inc");
     require_once($offset."class.user.inc");
     require_once($offset."class.performance_type.inc");
     require_once($offset."class.project_role.inc");
     require_once($offset."class.pm_common.inc");

     if (PM_Common::check_login($system_user_id, $system_user_group_id ) != $secure_check) {
       $error = new Error_Management;
       $error->error_page(1,'');
       die();
     }

     if (session_is_registered("selected_user_id")) {
       session_unregister("selected_user_id");
     }
     if (session_is_registered("report_selection")) {
       session_unregister("report_selection");
     }
     if (session_is_registered("selected_perf_type")) {
       session_unregister("selected_perf_type");
     }
     if (session_is_registered("selected_project_id")) {
       session_unregister("selected_project_id");
     }
     if (session_is_registered("begin_date")) {
       session_unregister("begin_date");
     }
     if (session_is_registered("end_date")) {
       session_unregister("end_date");
     }
     if (session_is_registered("date_month")) {
       session_unregister("date_month");
     }
     if (session_is_registered("date_year")) {
       session_unregister("date_year");
     }
     if (session_is_registered("show_description")) {
       session_unregister("show_description");
     }
     if (session_is_registered("project_id_list")) {
       session_unregister("project_name_list");
     }
     if (session_is_registered("project_name_list")) {
       session_unregister("project_name_list");
     }
     if (session_is_registered("project_entry_list")) {
       session_unregister("project_entry_list");
     }
     if (session_is_registered("user_id_list")) {
       session_unregister("user_id_list");
     }
     if (session_is_registered("user_name_list")) {
       session_unregister("user_name_list");
     }
     if (session_is_registered("user_first_name_list")) {
       session_unregister("user_first_name_list");
     }
     if (session_is_registered("user_last_name_list")) {
       session_unregister("user_last_name_list");
     }
     if (session_is_registered("perf_type_id_list")) {
       session_unregister("perf_type_id_list");
     }
     if (session_is_registered("perf_type_name_list")) {
       session_unregister("perf_type_name_list");
     }
     if (session_is_registered("p_role_id_list")) {
       session_unregister("perf_type_id_list");
     }
     if (session_is_registered("p_role_name_list")) {
       session_unregister("p_role_name_list");
     }
     if (session_is_registered("role_short_name_list")) {
       session_unregister("role_short_name_list");
     }

     unset($project_id_list);
     unset($project_name_list);
     unset($user_id_list);
     unset($user_name_list);
     unset($user_first_name_list);
     unset($user_last_name_list);
     unset($perf_type_id_list);
     unset($perf_type_name_list);
     unset($p_role_id_list);
     unset($p_role_name_list);
     unset($role_short_name_list);
     
     if (empty($report_selection)) {
       unset($selected_project_id);
       unset($selected_user_id);
       unset($selected_perf_type);
       unset($selected_p_role_id);
       unset($show_description);
     }

     if (empty($load_action)) {
       unset($report_selection);
     }
     
     $month[1]=i18n("J&auml;nner");
     $month[2]=i18n("Februar");
     $month[3]=i18n("M&auml;rz");
     $month[4]=i18n("April");
     $month[5]=i18n("Mai");
     $month[6]=i18n("Juni");
     $month[7]=i18n("Juli");
     $month[8]=i18n("August");
     $month[9]=i18n("September");
     $month[10]=i18n("Oktober");
     $month[11]=i18n("November");
     $month[12]=i18n("Dezember");
     
     $project_assignment = new Project_Assignment;
     $project_array= new Project;
     $project_tree_array=$project_array->get_project_tree(0,'A');
     $project_id_array=$project_tree_array['project_id'];
     $project_name_array=$project_tree_array['project_name'];
     $project_depth_array=$project_tree_array['project_depth'];

     for($i=1; $i <= count($project_id_array); $i++) {
       $project_id_list[$i]=$project_id_array[$i];
       $project_entry_list[$i]=Project::get_full_project_path($project_id_array[$i]);
       /*
       $project_name_list[$i]=$project_name_array[$i];
       for ($j=1; $j<=$project_depth_array[$i]; $j++) {
         $depthstring[$i]=$depthstring[$i]."&nbsp;&nbsp;";
       }
       $project_entry_list[$i]=$depthstring[$i].$project_name_list[$i];
       */
     }

     if (($system_user_group_id != 1) && ($system_user_group_id != 2)) {

       $p_assignment_array = $project_assignment->get_p_assignments($system_user_id,'','','A','');

       //Mehrfachzuordnung zu Projekten werden aussortiert u. Projekte bei denen der User PM ist hinzugef�gt
       $projects_user_is_pm=$project_assignment->get_projects_user_is_pm($system_user_id);
       $part_project_id_list=$projects_user_is_pm;
       $index=count($part_project_id_list)+1;
       for($i=1; $i <= count($p_assignment_array); $i++) {
         $check_project_id=$p_assignment_array[$i]->project_id;
         if (!(in_array($check_project_id,$part_project_id_list))) {
           $part_project_id_list[$index]=$p_assignment_array[$i]->project_id;
           $index++;
         }
       }

       $j=1;
       for($i=1; $i <= count($project_id_list); $i++) {
         if (in_array($project_id_list[$i],$part_project_id_list)) {
           $temp_project_id_list[$j]=$project_id_list[$i];
           $temp_project_name_list[$j] = $project_name_list[$i];
           $temp_project_entry_list[$j] = $project_entry_list[$i];
           $j++;
         }
       }
       $project_id_list= $temp_project_id_list;
       $project_name_list= $temp_project_name_list;
       $project_entry_list= $temp_project_entry_list;
     }
     session_register("project_id_list");
     session_register("project_name_list");
     session_register("project_entry_list");


     $user = new User;
     
     $user_id_list = array();
     $user_name_list = array();
     $user_first_name_list = array();
     $user_last_name_list = array();
     $name_list = array();

/*
     if ((($system_user_group_id==1)||($system_user_group_id==2))&&(strcmp($load_action,'get_users')!=0)&&(!$show_project)){
       $user_array =$user->get_users('','A','LastName');
       for($i=1; $i <= count($user_array); $i++) {
         $user_id_list[$i] = $user_array[$i]->user_id;
         $user_name_list[$i] = $user_array[$i]->get_full_name($user_id_list[$i]);
         $user_first_name_list[$i] = $user_array[$i]->get_first_name($user_id_list[$i]);
         $user_last_name_list[$i] = $user_array[$i]->get_last_name($user_id_list[$i]);
       }
     } elseif ((strcmp($load_action,'get_users') == 0) || ($show_user))  {   // Get users of projects where user is Projectmanager
       $user_id_list=array();
       $user_index=0; // counter for user_id_list

       if (!$show_project) {
         for($i=1; $i <= count($projects_user_is_pm); $i++) {
           $emp_p_assignment_array_array[$i]=$project_assignment->get_p_assignments('', $projects_user_is_pm[$i], '', 'A','User_ID');
         }
       } elseif (($show_project) && ($selected_project_id > 0)) {
         $user_is_higher_pm=$project_assignment->user_is_higher_pm($system_user_id,$selected_project_id);
         if (($user_is_higher_pm) || ($system_user_group_id == 1) || ($system_user_group_id == 2)) {
           $user_id='';
         } else {
           $user_id=$system_user_id;
         }
         $emp_p_assignment_array_array[1]=$project_assignment->get_p_assignments($user_id, $selected_project_id, '', 'A','User_ID');
       }
       for($i=1; $i <= count($emp_p_assignment_array_array); $i++) {
         $emp_p_assignment_array=$emp_p_assignment_array_array[$i];
         for($j=1; $j <= count($emp_p_assignment_array); $j++) {
           $check_user_id=$emp_p_assignment_array[$j]->user_id;
           if (!(in_array($check_user_id,$user_id_list))) {
             $user_id_list[$user_index]=$emp_p_assignment_array[$j]->user_id;
             $user_first_name_list[$user_index] = User::get_first_name($user_id_list[$user_index]);
             $user_last_name_list[$user_index] = User::get_last_name($user_id_list[$user_index]);
             $user_index++;
           }
         }
       }
       */

       $user = new User;

       $user->fetch_all_users();
       $user_name_list = $user->get_user_name_list();
       $user_id_list = $user->get_user_id_list();

       /*
       if (count($user_id_list) > 1) {
         array_multisort($user_last_name_list,$user_first_name_list,$user_id_list);
       }
       */

       /*
       for($i=0; $i < count($user_id_list); $i++) {
         $user_name_list[$i] = sprintf("%s %s",$user_first_name_list[$i], $user_last_name_list[$i]);
       }
       */
       // array um eine Stelle verschieben
       if (count($user_id_list) > 1) {
         array_unshift($user_id_list,'0');
         array_unshift($user_name_list,i18n('Alle Mitarbeiter'));
         array_unshift($user_first_name_list,'');
         array_unshift($user_last_name_list,'');
       }
     /* } */

/*
     if (((!$show_project) || ($selected_project_id > 0)) && (count($user_id_list) > 1)){
       $user_id_list[0]=0;
       $user_name_list[0]=i18n("Alle Mitarbeiter");
     }
*/
     

     session_register("user_id_list");
     session_register("user_name_list");
     session_register("user_first_name_list");
     session_register("user_last_name_list");


     $perf_type_array = new Performance_Type;
     $perf_type_array =$perf_type_array->get_perf_types();
     for($i=1; $i <= count($perf_type_array); $i++) {
       $perf_type_id_list[$i] = $perf_type_array[$i]->perf_type_id;
       $perf_type_name_list[$i] = $perf_type_array[$i]->perf_type_name;
     }
     session_register("perf_type_id_list");
     session_register("perf_type_name_list");
     
     $project_role_array = new Project_Role;
     $project_role_array =$project_role_array->get_project_roles();
     for($i=1; $i <= count($project_role_array); $i++) {
       $p_role_id_list[$i] = $project_role_array[$i]->project_role_id;
       $p_role_name_list[$i] =$project_role_array[$i]->p_role_name;
       $role_short_name_list[$i] =$project_role_array[$i]->short_name;
     }
     session_register("p_role_id_list");
     session_register("p_role_name_list");
     session_register("role_short_name_list");
     
?>

<script language="JavaScript1.2" type="text/javascript">
<!--
     var report_selection;
     var url;
     var add_url;

     function get_users_of_project() {

       var show_project;
       var show_user;
       var show_desc;
       var show_range;
       var show_day;
       var show_month;
       var show_type;
       var show_role;

       <?php
           printf("show_project = '%s';\n", addslashes($show_project));
           printf("show_user = '%s';\n", addslashes($show_user));
           printf("show_desc = '%s';\n", addslashes($show_desc));
           printf("show_range = '%s';\n", addslashes($show_range));
           printf("show_day = '%s';\n", addslashes($show_day));
           printf("show_month = '%s';\n", addslashes($show_month));
           printf("show_type = '%s';\n", addslashes($show_type));
           printf("show_role = '%s';\n", addslashes($show_role));


       ?>

       url='select_report_tmpl.php?load_action=get_users';

       for(i=0;i<document.select_report_form.report_selection.length;++i) {
         if(document.select_report_form.report_selection.options[i].selected == true) {
           url= url+'&report_selection='+document.select_report_form.report_selection.options[i].value;
         }
       }

       if (show_project) {
         for(i=0;i<document.select_report_form.selected_project_id.length;++i) {
           if(document.select_report_form.selected_project_id.options[i].selected == true) {
             url= url+'&show_project='+show_project+'&selected_project_id='+document.select_report_form.selected_project_id.options[i].value;
           }
         }
       }

       if (show_user == '1') {
         for(i=0;i<document.select_report_form.selected_user_id.length;++i) {
           if(document.select_report_form.selected_user_id.options[i].selected == true) {
            var user_id=document.select_report_form.selected_user_id.options[i].value;
           }
         }
         url=url+'&show_user=1&selected_user_id='+user_id;
       }

       if (show_user == 'all') {
          url= url+'&show_user=all';
       }

       if (show_desc) {
         url= url+'&show_desc='+show_desc+'&show_description='+document.select_report_form.show_description.value;
       }
       
       if (show_range) {
         url= url+'&show_range='+show_range;
       }
       
       if (show_day) {
         url= url+'&show_day='+show_day;
       }
       
       if (show_month) {
         url= url+'&show_month='+show_month;
       }
       
       if (show_type) {
         for(i=0;i<document.select_report_form.selected_perf_type.length;++i) {
           if(document.select_report_form.selected_perf_type.options[i].selected == true) {
             url= url+'&show_type='+show_type+'&selected_perf_type='+document.select_report_form.selected_perf_type.options[i].value;
           }
         }
       }
       if (show_role) {
         for(i=0;i<document.select_report_form.selected_p_role_id.length;++i) {
           if(document.select_report_form.selected_p_role_id.options[i].selected == true) {
             url= url+'&show_role='+show_role+'&selected_p_role_id='+document.select_report_form.selected_p_role_id.options[i].value;
           }
         }
       }

       location.href=url;
     }


     function set_report_selection_form() {

     for(i=0;i<document.select_report_form.report_selection.length;++i) {
       if(document.select_report_form.report_selection[i].selected == true) {
         report_selection= document.select_report_form.report_selection.options[i].value;
       }
     }


     switch(report_selection) {
       case "one_project":
         add_url='show_project=1&show_user=1&show_desc=1&show_range=1';
         break;
       case "perf_type_one_project":
         add_url='show_project=1&show_user=1&show_desc=1&show_range=1&show_type=1';
         break;
       case "role_one_project":
         add_url='show_project=1&show_user=1&show_desc=1&show_range=1&show_role=1';
         break;
       case "all_projects":
         add_url='show_user=1&show_desc=1&show_range=1';
         break;
       case "perf_type_all_projects":
         add_url='show_user=1&show_desc=1&show_range=1&show_type=1';
         break;
       case "role_all_projects":
         add_url='show_user=1&show_desc=1&show_range=1&show_role=1';
         break;
       case "sum_month":
         add_url='show_user=1&show_month=1';
         break;
       case "perf_type_sum_month":
         add_url='show_user=1&show_month=1&show_type=1';
         break;
       case "role_sum_month":
         add_url='show_user=1&show_month=1&show_role=1';
         break;
       case "sum_day":
         add_url='show_user=1&show_desc=1&show_day=1';
         break;
       case "km_one_project":
         add_url='show_project=1&show_user=1&show_desc=1&show_range=1';
         break;
       case "km_all_projects":
         add_url='show_user=1&show_desc=1&show_range=1';
         break;
      }

      url='select_report_tmpl.php?load_action=get_report_selection&report_selection='+report_selection+'&'+add_url;
      location.href=url;
    }




 //-->
</script>


