<?php
/*
* Smarty plugin
* -------------------------------------------------------------
* File:     function.assign.php
* Type:     function
* Name:     assign
* Purpose:  assign a value to a template variable
* -------------------------------------------------------------
*/
function smarty_function_phpassign($params, &$smarty)
{
    if (empty($params['var'])) {
        $smarty->trigger_error("assign: missing 'var' parameter");
        return;
    }

    if (in_array('value', array_keys($params))) {
	    $smarty->assign($params['var'], $params['value']);
        return;
    }

    if (in_array('expression', array_keys($params))) {
    	$func = create_function('', "return {$params['expression']};");
	    $smarty->assign($params['var'], $func());
        return;
    }

    $smarty->trigger_error("assign: missing 'expression' or 'value' parameter");
}
?> 