-- MySQL dump 8.21
--
-- Host: localhost    Database: TestProjectManagement
---------------------------------------------------------
-- Server version	3.23.49-log

--
-- Table structure for table 'Access_Right'
--

DROP TABLE IF EXISTS Access_Right;
CREATE TABLE Access_Right (
  User_ID int(10) unsigned NOT NULL default '0',
  UserName varchar(30) NOT NULL default '',
  Password varchar(30) NOT NULL default '',
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (User_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Access_Right'
--


LOCK TABLES Access_Right WRITE;
INSERT INTO Access_Right VALUES (3,'DemoUser','7bbdc9837f055863',2,20021029111119),(2,'admin','7bbdc9837f055863',2,20021029111158);

UNLOCK TABLES;

--
-- Table structure for table 'Customer'
--

DROP TABLE IF EXISTS Customer;
CREATE TABLE Customer (
  Customer_ID int(10) unsigned NOT NULL auto_increment,
  Customer_Name varchar(60) NOT NULL default '',
  Ldap_DN varchar(120) NOT NULL default '',
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  Description varchar(255) default NULL,
  PRIMARY KEY  (Customer_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Customer'
--


LOCK TABLES Customer WRITE;
INSERT INTO Customer VALUES (22,'TestCustomer','TestCustomer',2,20021029103832,'Description for TestCustomer.');

UNLOCK TABLES;

--
-- Table structure for table 'Customer_Assignment'
--

DROP TABLE IF EXISTS Customer_Assignment;
CREATE TABLE Customer_Assignment (
  C_Assignment_ID int(10) unsigned NOT NULL auto_increment,
  Customer_ID int(10) unsigned NOT NULL default '0',
  Project_ID int(10) unsigned NOT NULL default '0',
  Description varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (C_Assignment_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Customer_Assignment'
--


LOCK TABLES Customer_Assignment WRITE;
INSERT INTO Customer_Assignment VALUES (58,22,35,'',2,20021029111714);

UNLOCK TABLES;

--
-- Table structure for table 'Error'
--

DROP TABLE IF EXISTS Error;
CREATE TABLE Error (
  Error_ID int(10) unsigned NOT NULL default '0',
  Error_Message varchar(255) NOT NULL default '',
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (Error_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Error'
--


LOCK TABLES Error WRITE;
INSERT INTO Error VALUES (1,'Access denied!',1,20011024164722),(10,'Invalid Error-ID!',1,20011024170353),(11,'Error-ID is already in use!',1,20011024201040),(12,'Unable to create to error entry!',1,20011024201422),(13,'Unable to edit error entry!',1,20011024210112),(14,'Unable to delete error entry!',1,20011024222138),(20,'Invalid Project-ID!',1,20011024230754),(110,'Invalid Project Role ID!',1,20011029185357),(123,'Unable to edit Location!',1,20011030115936),(121,'Location ID is already in use!',1,20011030115839),(120,'Invalid Location ID!',1,20011030115815),(122,'Unable to create new location!',1,20011030115925),(124,'Unable to delete Location!',1,20011030115943),(70,'Invalid Link-ID!',1,20011030153146),(71,'Link-ID is already in use!',1,20011030153244),(72,'Unable to create new link!',1,20011030153316),(73,'Unable to edit link!',1,20011030153330),(74,'Unable to delete link entry!',1,20011030153340),(130,'Invalid Effort Type ID!',1,20011030213727),(131,'Effort Type ID is already in use!',1,20011030213743),(132,'Unable to create new Effort Type!',1,20011030213901),(133,'Unable to edit Effort Type!',1,20011030213915),(134,'Unable to delete Effort Type!',1,20011030214006),(2,'One or more parameters are invalid!',1,20011031125124),(30,'Invalid User ID!',15,20020426121916),(31,'User ID is already in use!',1,20011105184431),(32,'Unable to create new user!',1,20011105184535),(33,'Unable to edit user!',1,20011105184600),(35,'Unable to delete user!',1,20011106205257),(34,'Unable to deactivate user!',1,20011106205324),(36,'Incorrect username!',1,20011107111000),(40,'Invalid User Group ID!',1,20011107213753),(140,'Invalid Priority ID!',1,20011107215533),(150,'Invalid Status ID!',1,20011107224440),(80,'Invalid Customer ID!',1,20011108210506),(81,'Customer ID is already in use!',1,20011108210619),(82,'Unable to create new customer!',1,20011108210749),(83,'Unable to edit customer!',1,20011108210803),(84,'Unable to delete customer!',1,20011108211529),(90,'Invalid Representative ID!',2,20011109093242),(160,'Invalid Co-Worker Project Assignment ID ist ungltig!',2,20011109150408),(170,'Invalid Client Project Assignment ID!',1,20011109150157),(50,'Invalid Project Date ID!',1,20011112121619),(51,'Project Date ID is already in use!',1,20011112121727),(52,'Unable to create new project date!',1,20011112121802),(53,'Unable to edit project date!',1,20011112121830),(54,'Unable to deactivate project date!',1,20011112122400),(55,'Unable to delete project date!',1,20011112121932),(60,'Invalid Effort ID!',1,20011115165550),(61,'Effort ID is already in use!',1,20011115165946),(62,'Unable to create new Effort entry!',1,20011115170054),(63,'Unable to edit Effort entry!',1,20011115170117),(64,'Unable to deactivate Effort entry!',1,20011115170155),(65,'Unable to delete Effort entry!',1,20011115170207),(100,'Invalid Menu ID!',1,20011115190340),(101,'Menu ID is already in use!',1,20011115190715),(102,'Unable to create new menu entry!',1,20011115190911),(103,'Unable to edit menu entry!',1,20011115190931),(104,'Unable to delete menu entry!',1,20011115190943),(21,'Project ID is already in use!',1,20011119133317),(22,'Unable to create new project!',1,20011119133349),(23,'Unable to edit project!',1,20011119133402),(24,'Unable to deactivate project!',1,20011119133412),(25,'Unable to delete project!',1,20011119133431),(180,'Invalid Representative Project Assignment ID!',1,20011203152018),(91,'Representative ID is already in use!',1,20011203163721),(92,'Unable to create new representative!',1,20011203163803),(93,'Unable to edit representative!',1,20011203163829),(94,'Unable to delete representative!',1,20011203163854),(200,'No or invalid hostname for LDAP server!',2,20021025144756),(201,'Unable to connact to LDAP server!',1,20011203235212),(202,'Invalid Connection ID!',1,20011203235632),(203,'Anonymous Bind to LDAP server failed!',1,20011203235722),(204,'Search in LDAP tree failed!',1,20011204000720),(205,'Invalid Binding-ID!',1,20011204001010),(206,'Unable to determine number of search result entries!',1,20011204002212),(207,'Unable to read LDAP search result!',1,20011204002501),(208,'Unable to determine DN of result entry!',1,20011204003800),(209,'Unable to close conenction to LDAP server!',1,20011204004316),(210,'Unable to read attributes of result entry!',1,20011204004643),(211,'Unable to read attribute values of result entry!',1,20011204010017),(165,'Unable to delete Co-Worker Project Assignment!',15,20011216032421),(175,'Unable to delete Customer Project Assignment!',15,20011216032456),(185,'Unable to delete Representative Project Assignment!',15,20011216032532),(26,'Unable to deactivate project! A sub-project is still active!',1,20020109230355),(27,'Unable to delete project! One or more sub-projects still exist!',15,20020426121745),(125,'Unable to delete location! It is still in use!',15,20020112200654),(135,'Unable to delete Effort Type entry. It is still in use!',15,20020112200927),(28,'No project was selected for taking over persons!',1,20020129204940);

UNLOCK TABLES;

--
-- Table structure for table 'Link'
--

DROP TABLE IF EXISTS Link;
CREATE TABLE Link (
  Link_ID int(10) unsigned NOT NULL auto_increment,
  Project_ID int(10) unsigned NOT NULL default '0',
  LinkName varchar(50) NOT NULL default '',
  LinkAddress varchar(128) NOT NULL default '',
  Link_Initiator_ID int(10) unsigned NOT NULL default '0',
  Description varchar(255) default NULL,
  LinkStatus char(1) NOT NULL default '',
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (Link_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Link'
--


LOCK TABLES Link WRITE;

UNLOCK TABLES;

--
-- Table structure for table 'Location'
--

DROP TABLE IF EXISTS Location;
CREATE TABLE Location (
  Location_ID int(10) unsigned NOT NULL auto_increment,
  LocationName varchar(60) NOT NULL default '',
  Description varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (Location_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Location'
--


LOCK TABLES Location WRITE;
INSERT INTO Location VALUES (1,'Bro','Im Bro',2,20021029111447),(2,'Zuhause','Heimarbeit',2,20021029111503),(6,'Sonstiger Ort','Sonstiger Ort',1,20011030134503);

UNLOCK TABLES;

--
-- Table structure for table 'Menu'
--

DROP TABLE IF EXISTS Menu;
CREATE TABLE Menu (
  Menu_ID int(10) unsigned NOT NULL auto_increment,
  UserGr_ID int(10) unsigned NOT NULL default '0',
  Topic varchar(30) NOT NULL default '',
  Path varchar(128) NOT NULL default '',
  Status char(1) NOT NULL default '',
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (Menu_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Menu'
--


LOCK TABLES Menu WRITE;
INSERT INTO Menu VALUES (1,1,'Projekte','../../show_project.php','A',20,20020325111253),(2,2,'Projekte','../../show_project.php','A',1,20011023005208),(3,3,'Projekte','../../show_project.php','A',1,20011022235500),(4,1,'Leistungen','../../performance/templates/select_performance_tmpl.php','A',1,20011022235621),(5,2,'Leistungen','../../performance/templates/select_performance_tmpl.php','A',1,20011022235621),(6,3,'Leistungen','../../performance/templates/select_performance_tmpl.php','A',1,20011022235621),(7,1,'Termine','../../project_date/templates/select_date_tmpl.php','A',15,20020103122148),(8,2,'Termine','../../project_date/templates/select_date_tmpl.php','A',15,20020103122203),(9,3,'Termine','../../project_date/templates/select_date_tmpl.php','A',15,20020103122216),(10,1,'Controlling','../../controlling/templates/select_p_controlling_tmpl.php','A',1,20011023165309),(11,2,'Controlling','../../controlling/templates/select_p_controlling_tmpl.php','A',1,20011023165336),(12,3,'Controlling','../../controlling/templates/select_p_controlling_tmpl.php','A',1,20011023165423),(13,1,'Berichte','../../report/templates/select_report_tmpl.php','A',1,20011022235914),(14,2,'Berichte','../../report/templates/select_report_tmpl.php','A',1,20011022235914),(15,3,'Berichte','../../report/templates/select_report_tmpl.php','A',1,20011022235914),(16,1,'Benutzer','../../user/templates/show_user_admin_tmpl.php','A',1,20011106191250),(17,2,'Benutzer','../../user/templates/show_user_admin_tmpl.php','A',15,20011206145053),(18,3,'Benutzer','../../user/templates/show_user_tmpl.php','A',1,20011023000510),(19,1,'Links','../../link/templates/select_link_tmpl.php','A',15,20020114213017),(20,2,'Links','../../link/templates/select_link_tmpl.php','A',15,20020115000833),(21,3,'Links','../../link/templates/select_link_tmpl.php','A',15,20020115000848),(30,1,'Ansprechpersonen','../../representative/templates/show_representatives_tmpl.php','A',1,20011203164706),(23,1,'Kunden','../../customer/templates/show_customers_tmpl.php','A',1,20011113192750),(35,1,'DB-Export','../../dump/templates/select_dump_tmpl.php','A',15,20020112005455),(37,3,'DB-Export','../../dump/templates/select_dump_tmpl.php','A',15,20020112005455),(36,2,'DB-Export','../../dump/templates/select_dump_tmpl.php','A',15,20020112005455),(31,1,'Leistungstypen','../../performance_type/templates/show_perf_types_tmpl.php','A',1,20011203164815),(32,1,'Locations','../../location/templates/show_locations_tmpl.php','A',1,20011203164854),(33,1,'Meneintrge','../../menu/templates/show_menu_list_tmpl.php','A',1,20011203164944),(34,1,'Fehlermeldungen','../../error/templates/show_error_list_tmpl.php','A',15,20020113135935);

UNLOCK TABLES;

--
-- Table structure for table 'Performance'
--

DROP TABLE IF EXISTS Performance;
CREATE TABLE Performance (
  Performance_ID int(10) unsigned NOT NULL auto_increment,
  P_Assignment_ID int(10) unsigned NOT NULL default '0',
  Location_ID int(10) unsigned NOT NULL default '0',
  Perf_Type_ID int(10) unsigned NOT NULL default '0',
  WorkDate date NOT NULL default '0000-00-00',
  StartTime time default NULL,
  EndTime time default NULL,
  Duration time NOT NULL default '00:00:00',
  Status char(1) NOT NULL default '',
  Km int(10) unsigned NOT NULL default '0',
  Description varchar(255) NOT NULL default '',
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  Bill_Type int(5) default '0',
  PRIMARY KEY  (Performance_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Performance'
--


LOCK TABLES Performance WRITE;

UNLOCK TABLES;

--
-- Table structure for table 'Performance_Type'
--

DROP TABLE IF EXISTS Performance_Type;
CREATE TABLE Performance_Type (
  Perf_Type_ID int(10) unsigned NOT NULL auto_increment,
  Perf_Type_Name varchar(60) NOT NULL default '',
  Description varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (Perf_Type_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Performance_Type'
--


LOCK TABLES Performance_Type WRITE;
INSERT INTO Performance_Type VALUES (1,'Consultation hours','Consultation hours',1,20010806182049),(2,'Consultation hours - Journey','Consultation hours - Journey',1,20010806182049),(3,'Consultation hours - Journey, don''t pass to account','Consultation hours - Journey, don''t pass to account',1,20010806182049),(4,'Consultation hours - don''t pass to account','Consultation hours - don''t pass to account',1,20010806182049),(5,'Programming hours','Programming hours',1,20010806182050),(6,'Programming hours - Journey','Programming hours - Journey',1,20010806182050),(7,'Programming hours - Journey, don''t pass to account','Programming hours - Journey, don''t pass to account',1,20010806182050),(8,'Programming hours - don''t pass to account','Programming hours - don''t pass to account',1,20010806182050),(9,'Support','Support',1,20010806182050),(10,'Support - Journey','Support - Journey',1,20010806182050),(11,'Support - Journey, don''t pass to account','Support - Journey, don''t pass to account',1,20010806182050),(12,'Support - don''t pass to account','Support - don''t pass to account',1,20010806182050),(13,'Other hours','Other hours',15,20011218164410),(14,'Other hours - Journey','Other hours - Journey',15,20011218164348),(15,'Other hours - Journey, don''t pass to account','Other hours - Journey, don''t pass to account',15,20011218164429),(16,'Other hours - don''t pass to account','Other hours - don''t pass to account',15,20011218164442);

UNLOCK TABLES;

--
-- Table structure for table 'Priority'
--

DROP TABLE IF EXISTS Priority;
CREATE TABLE Priority (
  Priority_ID int(10) unsigned NOT NULL auto_increment,
  PriorityType varchar(30) NOT NULL default '',
  Description varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (Priority_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Priority'
--


LOCK TABLES Priority WRITE;
INSERT INTO Priority VALUES (1,'Low','Low project priority',1,20010802234152),(2,'Normal','Normal project priority',1,20010802234152),(3,'High','High project priority',1,20010802234154);

UNLOCK TABLES;

--
-- Table structure for table 'Project'
--

DROP TABLE IF EXISTS Project;
CREATE TABLE Project (
  Project_ID int(10) unsigned NOT NULL auto_increment,
  ProjectName varchar(128) NOT NULL default '',
  Order_Number int(10) unsigned NOT NULL default '0',
  HigherProject_ID int(10) unsigned NOT NULL default '0',
  TargetWorkingTime double(16,4) NOT NULL default '0.0000',
  TargetStartDate date NOT NULL default '0000-00-00',
  RealStartDate date default NULL,
  TargetEndDate date NOT NULL default '0000-00-00',
  RealEndDate date default NULL,
  Progress int(10) unsigned NOT NULL default '0',
  Status_ID int(10) unsigned NOT NULL default '0',
  Priority_ID int(10) unsigned NOT NULL default '0',
  P_Partner varchar(255) default NULL,
  Description varchar(255) default NULL,
  Cvs_Name varchar(100) default NULL,
  Cvs_Branch varchar(100) default NULL,
  Remark varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (Project_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Project'
--


LOCK TABLES Project WRITE;
INSERT INTO Project VALUES (35,'TestProject',1,0,0.0000,'2002-10-29','0000-00-00','2002-10-29','0000-00-00',0,1,1,'','','TestProject','','',2,20021029111714);

UNLOCK TABLES;

--
-- Table structure for table 'Project_Assignment'
--

DROP TABLE IF EXISTS Project_Assignment;
CREATE TABLE Project_Assignment (
  P_Assignment_ID int(10) unsigned NOT NULL auto_increment,
  Project_ID int(10) unsigned NOT NULL default '0',
  User_ID int(10) unsigned NOT NULL default '0',
  ProjectRole_ID int(10) unsigned NOT NULL default '0',
  Description varchar(255) default NULL,
  Status char(1) NOT NULL default '',
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (P_Assignment_ID),
  UNIQUE KEY Project_ID (Project_ID,User_ID,ProjectRole_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Project_Assignment'
--


LOCK TABLES Project_Assignment WRITE;
INSERT INTO Project_Assignment VALUES (204,35,2,4,'','A',2,20021029111714),(203,35,3,3,'','A',2,20021029111714),(202,35,2,3,'','A',2,20021029111714),(201,35,3,2,'','A',2,20021029111714),(200,35,3,1,'','A',2,20021029111714);

UNLOCK TABLES;

--
-- Table structure for table 'Project_Date'
--

DROP TABLE IF EXISTS Project_Date;
CREATE TABLE Project_Date (
  P_Date_ID int(10) unsigned NOT NULL auto_increment,
  Project_ID int(10) unsigned NOT NULL default '0',
  P_DateName varchar(60) NOT NULL default '',
  Description varchar(255) default NULL,
  P_Date date NOT NULL default '0000-00-00',
  P_Date_Initiator_ID int(10) unsigned NOT NULL default '0',
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  Status char(1) NOT NULL default '',
  PRIMARY KEY  (P_Date_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Project_Date'
--


LOCK TABLES Project_Date WRITE;

UNLOCK TABLES;

--
-- Table structure for table 'Project_Role'
--

DROP TABLE IF EXISTS Project_Role;
CREATE TABLE Project_Role (
  ProjectRole_ID int(10) unsigned NOT NULL auto_increment,
  P_RoleName varchar(30) NOT NULL default '',
  ShortName varchar(5) NOT NULL default '',
  Description varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (ProjectRole_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Project_Role'
--


LOCK TABLES Project_Role WRITE;
INSERT INTO Project_Role VALUES (2,'QA Manager','QM','Responsible for Quality Assurance',1,20011120194126),(3,'Co-Worker','CW','Co-Worker in a project',1,20011120194126),(4,'QA-Co-Worker','QA','Co-Worker for Quality Assurance',1,20011120194126),(1,'Project Manager','PM','Responsible for a project',1,20011120194126);

UNLOCK TABLES;

--
-- Table structure for table 'Representative'
--

DROP TABLE IF EXISTS Representative;
CREATE TABLE Representative (
  Representative_ID int(10) unsigned NOT NULL auto_increment,
  Customer_ID int(10) unsigned NOT NULL default '0',
  Ldap_DN varchar(120) NOT NULL default '',
  Representative_Name varchar(60) NOT NULL default '',
  Description varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (Representative_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Representative'
--


LOCK TABLES Representative WRITE;
INSERT INTO Representative VALUES (40,22,'TestRep2','TestRep2','TestRep2',2,20021029124402),(37,22,'TestRepresentative','TestRepresentative','Description of TestRepresentative for TestCustomer.',2,20021029110722);

UNLOCK TABLES;

--
-- Table structure for table 'Representative_Assignment'
--

DROP TABLE IF EXISTS Representative_Assignment;
CREATE TABLE Representative_Assignment (
  R_Assignment_ID int(10) unsigned NOT NULL auto_increment,
  C_Assignment_ID int(10) unsigned NOT NULL default '0',
  Representative_ID int(10) unsigned NOT NULL default '0',
  Description varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (R_Assignment_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Representative_Assignment'
--


LOCK TABLES Representative_Assignment WRITE;

UNLOCK TABLES;

--
-- Table structure for table 'Status'
--

DROP TABLE IF EXISTS Status;
CREATE TABLE Status (
  Status_ID int(10) unsigned NOT NULL auto_increment,
  StatusType varchar(30) NOT NULL default '',
  Description varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (Status_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'Status'
--


LOCK TABLES Status WRITE;
INSERT INTO Status VALUES (1,'in planning phase','Project''s in planning phase',1,20010802233817),(2,'in progress','Project''s in progress',1,20010802233817),(3,'stopped','Project''s stopped',1,20010802233817),(4,'finished','Project''s finished',1,20020121193210),(5,'inactive','Project''s inactive',1,20020121193210);

UNLOCK TABLES;

--
-- Table structure for table 'User'
--

DROP TABLE IF EXISTS User;
CREATE TABLE User (
  User_ID int(10) unsigned NOT NULL auto_increment,
  FirstName varchar(30) NOT NULL default '',
  LastName varchar(30) NOT NULL default '',
  UserGr_ID int(10) unsigned NOT NULL default '0',
  Ldap_DN varchar(255) NOT NULL default '',
  Status char(1) NOT NULL default '',
  Description varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (User_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'User'
--


LOCK TABLES User WRITE;
INSERT INTO User VALUES (3,'Demo','User',3,'foobar','A','DemoUser',2,20021029113448),(2,'Charlie','Root',1,'foobar','A','administrator.',2,20021029113448);

UNLOCK TABLES;

--
-- Table structure for table 'User_Group'
--

DROP TABLE IF EXISTS User_Group;
CREATE TABLE User_Group (
  UserGr_ID int(10) unsigned NOT NULL auto_increment,
  UserGrName varchar(30) NOT NULL default '',
  ShortName varchar(5) NOT NULL default '',
  Description varchar(255) default NULL,
  User_ID_Log int(10) unsigned NOT NULL default '0',
  TS timestamp(14) NOT NULL,
  PRIMARY KEY  (UserGr_ID)
) TYPE=MyISAM;


--
-- Dumping data for table 'User_Group'
--


LOCK TABLES User_Group WRITE;
INSERT INTO User_Group VALUES (2,'Accounting','AC','Accounting - has extended rights',1,20011120194126),(1,'Administrator','AD','Administrator - has all permission',1,20011120194126),(3,'Co-Workers','CW','Co-Workers',1,20011120194126);

UNLOCK TABLES;

--
-- Table structure for table 'insert_sequence_seq'
--

DROP TABLE IF EXISTS insert_sequence_seq;
CREATE TABLE insert_sequence_seq (
  id int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS Bill_Type;
CREATE TABLE Bill_Type (
  Bill_Type_ID int(5) unsigned NOT NULL default '0',
  Bill_Type_Name varchar(30) NOT NULL default '',
  PRIMARY KEY (Bill_Type_ID)
) TYPE=MyISAM;

LOCK TABLES Bill_Type WRITE;
INSERT INTO Bill_Type (Bill_Type_ID,Bill_Type_Name) VALUES (0,'No');
INSERT INTO Bill_Type (Bill_Type_ID,Bill_Type_Name) VALUES (1,'Yes');
INSERT INTO Bill_Type (Bill_Type_ID,Bill_Type_Name) VALUES (2,'Not billable');
UNLOCK TABLES;


--
-- Dumping data for table 'insert_sequence_seq'
--


LOCK TABLES insert_sequence_seq WRITE;
INSERT INTO insert_sequence_seq VALUES (1),(2),(3),(4),(5),(6),(7),(8),(9),(10),(11),(12),(13),(14),(15),(16),(17),(18);

UNLOCK TABLES;

