<?php

     $offset = "../../includes/";

     require_once($offset."class.user.inc");
     require_once($offset."class.user_group.inc");
     require_once($offset."class.access_right.inc");
     require_once($offset."class.ldap_pm.inc");
     include_once($offset."class.project_assignment.inc");

     $rootdir = '../..';
     require_once("$rootdir/classes/DBConnection.php");

     if (PM_Common::check_login($system_user_id, $system_user_group_id ) != $secure_check) {
      $error = new Error_Management;
      $error->error_page(1);
      die();
     }

     if ($system_user_group_id != 1)   {
       $error = new Error_Management;
       $error->error_page(1);
       die();
     }

     if (LDAP_ACTIVE) {
       $ldap = new Ldap_Pm();
       $search_base_dn="o=WebDynamite, dc=WebDynamite.com";
       $employee_array=$ldap->ldap_get_persons($search_base_dn);

       for ($i=0; $i<$employee_array["count"]; $i++) {
         $ldap_user_dn_list[$i] = $employee_array[$i]["dn"];
         $ldap_last_name_list[$i] = $employee_array[$i]["sn"][0];
         $ldap_first_name_list[$i] = $employee_array[$i]["givenname"][0];
         $ldap_full_name_list[$i] = $ldap_first_name_list[$i]." ".$ldap_last_name_list[$i];
       }

       array_multisort($ldap_last_name_list, SORT_ASC, SORT_STRING,$ldap_user_dn_list, $ldap_first_name_list, $ldap_full_name_list);
     }
     

     $user_group = new User_Group;
     $user_group_array=$user_group->get_user_groups();
     for($i=1; $i <= count($user_group_array); $i++) {
       $user_group_id_list[$i]=$user_group_array[$i]->user_group_id;
       $user_group_name_list[$i] = $user_group_array[$i]->user_group_name;
     }
     
     
     if (strcmp($action,'add') == 0) {
       $user = new User();
       $access= new Access_Right;
       $status='A';

       if ($access->check_user_name($user_name)) {
         if (strcmp($user_pwd,$re_pwd) == 0) {
           if (LDAP_ACTIVE) {
             $user->first_name = $ldap_first_name_list[$dn_id];
             $user->last_name =  $ldap_last_name_list[$dn_id];
             $user->user_ldap_dn = $ldap_user_dn_list[$dn_id];
           } else {
             $user->first_name = $first_name;
             $user->last_name = $last_name;
             $user->user_ldap_dn = "$first_name $last_name";
           }
           $user->user_group_id = $selected_user_group;
           $user->employment_id = $employment_id;
           $user->status = $status;
           $user->description = $description;
           
           $access->user_id = $system_user_id;
           $access->user_name = $user_name;
           $access->user_pwd = $user_pwd;

           $check_user = $user->check_params($user, $system_user_id);
           $check_access = $access->check_params($access, $system_user_id);
           if ((strcmp($check_user,"") == 0) && (strcmp($check_access,"") == 0)) {
             $new_user_id=$user->new_user($user, $system_user_id);
             if ($new_user_id < 1) {
               $error = new Error_Management;
               $error->error_page(32);
               die();
             }

             if (strcmp($check_access,"") == 0) {
               $access->user_id = $new_user_id;
               $new_result=$access->new_access_right($access, $system_user_id);
               if ($new_result < 1) {
                 $error = new Error_Management;
                 $error->error_page(32);
                 die();
               }
             }

			 if($projectUpdate==1) {
           		$projects = array();
    	    	foreach($_REQUEST as $key=>$value) {
        			if(sscanf($key, 'project%d', $id)) {
           				$projects[] = $id;
           			}
           		}
           		Project_Assignment::setAssignments($new_user_id, 3, $projects);
           	 }
             
           }

         } else {
           $check_access=i18n('Das Passwort stimmt mit der Passwort-Best&auml;tigung nicht &uuml;berein!');
         }
       } else {
         $check_access=i18n('Dieser Benutzername wird bereits verwendet!');
       }
     }
     
     if ((strcmp($action,"add")==0) && ($new_result==1)) {
       Header("Location: ../templates/".(($system_user_group_id!=1)?"show_user_tmpl.php":"show_user_admin_tmpl.php"));
     }

	$connection = &DBConnection();
	$employmentArray = &$connection->getAll('select * from Employment order by Employment_ID', array(), DB_FETCHMODE_OBJECT);
	$connection->disconnect();
	$employment_id=1;

?>


