<?php

     $offset = "../../includes/";

     require_once($offset."class.user.inc");
     require_once($offset."class.access_right.inc");
     require_once($offset."class.user_group.inc");
     require_once($offset."class.ldap_pm.inc");
     require_once($offset."class.project_assignment.inc");
     require_once($offset."class.performance.inc");

     if (PM_Common::check_login($system_user_id, $system_user_group_id ) != $secure_check) {
       $error = new Error_Management;
       $error->error_page(1,'');
       die();
     }

	if($cache) {
		extract($params, EXTR_SKIP);
	}
	$params = compact('orderby', 'startindex');
	session_register('params');

     $user_array = new User;
     $user_group = new User_Group;
     $access_right = new Access_Right;
     $ldap = new Ldap_Pm;

     if ((empty($orderby)) || (strcmp($orderby, "full_name") == 0)) {
       $ob = "LastName, FirstName, UserGr_ID, Status, User_ID";
     } elseif (strcmp($orderby, "user_id") == 0){
       $ob = "User_ID";
     } elseif (strcmp($orderby, "user_group") == 0) {
       $ob = "UserGr_ID, LastName, FirstName, Status, User_ID";
     } elseif (strcmp($orderby, "status") == 0) {
       $ob = "Status, LastName, FirstName, UserGr_ID";
     }
     
     if ($system_user_group_id == 1)  {
       if (strcmp($action,'deactivate') == 0) {
         $user = new User();
         $delete_result=$user->set_status($selected_user_id,'N',$system_user_id);
         if ($delete_result != 1) {
           $error = new Error_Management;
           $error->error_page(34,'');
           die();
         }
       }

       if (strcmp($action,'delete') == 0) {

         $user = new User($selected_user_id);
         $access = new Access_Right($selected_user_id);
         $p_assignment = new Project_Assignment;
         $performance = new Performance;
         $p_assignment_array =$p_assignment->get_p_assignments($selected_user_id,'','','','');
         for($i=1; $i <= count($p_assignment_array); $i++) {
           $p_assignment_id[$i] = $p_assignment_array[$i]->p_assignment_id;

           $performance_array =$performance->get_performances($p_assignment_id[$i],'','','','','','');
           for($j=1; $j <= count($performance_array); $j++) {
             $performance_id[$j] = $performance_array[$j]->performance_id;
             $delete_result=$performance->delete_performance($performance_id[$j]);
             if ($delete_result != 1) {
               $error = new Error_Management;
               $error->error_page(165,'');
              die();
             }
           }
           
           $delete_result=$p_assignment->delete_p_assignment($p_assignment_id[$i]);
           if ($delete_result != 1) {
             $error = new Error_Management;
             $error->error_page(165,'');
            die();
           }
         }

         $delete_result=$access->delete_access_right($selected_user_id);
         if ($delete_result != 1) {
           $error = new Error_Management;
           $error->error_page(35,'');
           die();
         }

         $delete_result=$user->delete_user($selected_user_id);
         if ($delete_result != 1) {
           $error = new Error_Management;
           $error->error_page(35,'');
           die();
         }
       }
     }

     $ldap = new Ldap_Pm();

     $user_id_list = array();

     $user_array =$user_array->get_users('','', $ob);
     for($i=1; $i <= count($user_array); $i++) {
       $user_list=$user_array[$i];
       $user_id_list[$i] = $user_list->user_id;

       $user_name[$i] = $access_right->get_user_name($user_id_list[$i]);
       $full_name[$i] = $user_list->get_full_name($user_id_list[$i]);
       $ldap_user_dn[$i] = $user_list->user_ldap_dn;
       $ldap_data_array=$ldap->ldap_get_person($ldap_user_dn[$i]);

       $company_email[$i] = $ldap_data_array[0]["mail"][0];
       $fix_phone[$i] = $ldap_data_array[0]["telephonenumber"][0];
       if (empty($fix_phone[$i])) {
         $fix_phone[$i]="&#160;";
       }
       $mobile_phone[$i] = $ldap_data_array[0]["mobile"][0];
       if (empty($mobile_phone[$i])) {
          $mobile_phone[$i]="&#160;";
       }

       $user_group_id[$i] = $user_list->user_group_id;
       $ug_short_name[$i] = $user_group->get_short_name($user_group_id[$i]);
       $status[$i] = $user_list->status;

       $user_ldap_dn=User::get_user_ldap_dn($system_user_id);

     }

?>
